UPDATE sscSetting SET smallValue='2.2.4' WHERE code='dataObjectsVersion';

DELETE FROM sscSetting WHERE type = 'USPSSHIPPING';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsURL','USPS URL','The URL to the U.S. Postal Service rate service.','USPSSHIPPING','mediumValue',NULL,NULL,'http://production.shippingapis.com/ShippingAPI.dll',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsUser','USPS User Name','The U.S. Postal Service user name you acquired from the U.S. Postal Service website to use when connecting to the rate service.','USPSSHIPPING','smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsService','USPS Service','The shipping service to pull rates for from the U.S. Postal Service.','USPSSHIPPING','mediumValue',NULL,NULL,'All',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsZIPOrigin','USPS Origin ZIP Code','The ZIP code of the address that originates all U.S. Postal Service shipments for the store.','USPSSHIPPING','smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsContainerSize','USPS Container Size','The size of the container for the U.S. Postal Service to use when calculating rates. Note: if dimensions have been defined, the system will override this selection with the actual value of the length plus girth.','USPSSHIPPING','smallValue',NULL,'REGULAR',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsMachinable','USPS Machinable?','Are the U.S. Postal Service packages machinable (i.e. can they be processed on automated equipment)?','USPSSHIPPING','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_Destination','USPS Destination Countries','Should the system retrieve U.S. Postal Service rates for Domestic (USA) orders, International orders, or both?',
'USPSSHIPPING','mediumValue',NULL,NULL,'01,02',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsDomesticServices','USPS Domestic Shipment Types','Select which services customer should see live rates for.',
'USPSSHIPPING','mediumValue',NULL,NULL,'00,01,03,04',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsIntlServices','USPS International Shipment Types','Select which services customer should see live rates for.',
'USPSSHIPPING','mediumValue',NULL,NULL,'03,04,01,02',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('uspsExtraCharge','Extra Charge','An amount to add to the value of each of the rates returned by U.S.P.S. (e.g., as a handling charge).','USPSSHIPPING', 'smallValue',NULL,'0.00',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('uspsExtraWeight','Extra Weight','The amount of weight to add to each shipment for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all shipments.','USPSSHIPPING', 'smallValue',NULL,'1.00',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageUseDimensions',
	     'Use Package Dimensions',
	     'If true, a width, length, and height will be sent to U.S.P.S. in addition to weight for domestic rate requests. (May be overridden with the Shipping Rule Range pkgExtra2 field, by entering 1 for true or 0 for false.)',
'USPSSHIPPING','mediumValue',NULL,NULL,'false',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsLength','Default package length','The default package length for USPS, when not defined for the package by a Shipping Rule.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);
 
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsWidth','Default package width','The default package width for USPS, when not defined for the package by a Shipping Rule.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsHeight','Default package height','The default package height for USPS, when not defined for the package by a Shipping Rule.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsGirth','Default package girth','The default package girth for USPS. Leave blank or 0 to have girth calculated from the default width, height, and length.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageUseInsurance',
	     'Add Insurance Cost?',
	     'If true, insurance cost will added to shipping cost (only for international deliveries). If false, no insurance cost will be sent.',
'USPSSHIPPING','mediumValue',NULL,NULL,'false',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageMinimumInsuranceValue','Minimum Insurance Value','If an insurance cost is sent for international deliveries and the order subtotal is less than this value, then this value will be sent instead.',   
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);
