UPDATE sscSetting SET smallValue='3.3.1' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchIncludeAllDocuments','Include All Documents in Search Results','Include all indexed documents including categories and manufacturers in search results? If set to no the results will only contain products.','LUCENE', 'booleanValue','0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contingencyShippingMethodCode','Contingency Shipping Method Code','The Shipping Method code corresponding to the shipping method that should be used as a contingency, when the rating service from FedEx, USPS, or UPS is down, or when any other exception is encountered retrieving rates from those services. This method should be marked as inactive if you do not want it to appear to customers normally.','SHIPPING', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('stripEstimatedDeliveryDaysFromUSPSMethodName','Strip Estimated Delivery Days From USPS Method Names','Priority Mail and Priority Mail Express show an estimated delivery time (1-DAY, 2-DAY, or 3-DAY) by default from USPS. These estimates can be stripped out of the method names with this setting.','USPSSHIPPING', 'booleanValue',0,NULL,NULL,NULL);

UPDATE sscSetting SET textValue = mediumValue, valueType = 'textValue', description = 'The license key(s) for this installation of SoftSlate Commerce. (Enter multiple license keys separated by new lines.)' WHERE code = 'licenseKey';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('orderStatusForCapturingPayments','Order Status for Capturing Payments','When an order status is changed to this value, the system will attempt to capture a previously-authorized payment, if the payment processor used for the order supports the function.','PAYMENTS', 'smallValue',NULL,'Shipped',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('preventStatusChangeIfPaymentCaptureFails','Prevent Status Change If Payment Capture Fails','If yes, when an order status is changed to the value represented by the Order Status for Capturing Payments setting, and the payment capture fails, the status change will be prevented.','PAYMENTS', 'booleanValue','1',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('oneWayEncryptionAlgorithm','One-Way Encryption Algorithm','The algorithm used by the system for one-way encryption.','ENCRYPTION','smallValue',NULL,'md5',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('numberFailedLoginsBeforeLockingOut','Number of Failed Logins Before Locking Out','The number of failed attempts for an Administrator to login before being locked out. Set to 0 to never lock out.','ADMINISTRATOR','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('lockoutDurationInMinutes','Lock Out Duration in Minutes','The number of minutes an Administrator must wait to login after being locked out.','ADMINISTRATOR','integerValue',30,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('passwordExpirationInDays','Password Expiration in Days','The number of days a new Administrator password will be valid before it is expired and must be changed. Use 0 to never expire passwords.','ADMINISTRATOR','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('numberOfPreviousPasswordsToCheck','Number of Previous Passwords To Check','The number of previous passwords to check against a new password. Set to 0 to never check if a new password is the same as a previous password.','ADMINISTRATOR','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('minimumAdministratorPasswordLength','Minimum Password Length','The minimum length any new Administrator password must be.','ADMINISTRATOR','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('passwordRequiresLetterAndNumber','Password Require One Letter and Number?','If yes, new Administrator passwords must contain at least one letter and one number.','ADMINISTRATOR','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('avataxActionForOrderBeingShipped','AvaTax Action for Shipped Orders','The action taken with the AvaTax system when an order is shipped. This is defined by when the order status changes to the value defined by the AvaTax Status for Shipped Orders setting.','AVATAX', 'smallValue',NULL,'DoNothing',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('avataxOrderStatusForBeingShipped','AvaTax Status for Shipped Orders','The status of a shipped order. When the order status changes to this value, the action defined by the AvaTax Action for Shipped Orders setting will be taken with the AvaTax system.','AVATAX', 'smallValue',NULL,'Shipped',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('recordEmailsInDatabase','Record Sent Emails?','If true, the Enterprise Edition will record certain emails in the database for advanced features.','EMAIL', 'booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('useSendGrid', 'Use SendGrid to Send Emails?', 'If true, the system will use the below SendGrid settings and code to send email instead of the above SMTP settings.', 'EMAIL', 'booleanValue', 0, NULL, NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPServer','SMTP Server for SendGrid','The domain name or IP address of the SMTP server for the store when using SendGrid.','EMAIL','mediumValue',NULL,NULL,'smtp.sendgrid.net',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPUsername','SMTP Server User Name for SendGrid','The user name used to connect to the SendGrid SMTP server.','EMAIL','mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPPassword','SMTP Server Password for SendGrid','The password used to connect to the SendGrid SMTP server.','EMAIL','encryptedValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPPort','SMTP Server Port for SendGrid','The port number used to connect to the SendGrid SMTP server.','EMAIL','integerValue',587,NULL,NULL,NULL);

INSERT INTO sscRole(code, name, description) VALUES('emailView', 'Email Viewer', 'Allows access to view emails.');
INSERT INTO sscRole(code, name, description) VALUES('emailEdit', 'Email Editor', 'Allows access to view, edit, and delete emails.');
INSERT INTO sscRole(code, name, description) VALUES('templateView', 'Template Viewer', 'Allows access to view templates.');
INSERT INTO sscRole(code, name, description) VALUES('templateEdit', 'Template Editor', 'Allows access to view, edit, and delete templates.');
INSERT INTO sscRole(code, name, description) VALUES('emailOptOutView', 'Email Opt Out Viewer', 'Allows access to view email opt outs.');
INSERT INTO sscRole(code, name, description) VALUES('emailOptOutEdit', 'Email Opt Out Editor', 'Allows access to view, edit, and delete email opt outs.');
INSERT INTO sscRole(code, name, description) VALUES('settingsMonitorJobView', 'Monitor Job Settings Viewer', 'Allows access to view Monitor Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsMonitorJobEdit', 'Monitor Job Settings Editor', 'Allows access to view and edit Monitor Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsReindexLuceneJobView', 'Reindex Lucene Job Settings Viewer', 'Allows access to view Reindex Lucene Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsReindexLuceneJobEdit', 'Reindex Lucene Job Settings Editor', 'Allows access to view and edit Reindex Lucene Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerFollowUpJobView', 'Customer Follow Up Job Settings Viewer', 'Allows access to view Customer Follow Up Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerFollowUpJobEdit', 'Customer Follow Up Job Settings Editor', 'Allows access to view and edit Customer Follow Up Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAbandonedCartEmailJobView', 'Abandoned Cart Email Job Settings Viewer', 'Allows access to view Abandoned Cart Email Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAbandonedCartEmailJobEdit', 'Abandoned Cart Email Job Settings Editor', 'Allows access to view and edit Abandoned Cart Email Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsOrderShippedJobView', 'Order Shipped Job Settings Viewer', 'Allows access to view Order Shipped Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsOrderShippedJobEdit', 'Order Shipped Job Settings Editor', 'Allows access to view and edit Order Shipped Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdministratorView', 'Administrator Settings Viewer', 'Allows access to view Administrator settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdministratorEdit', 'Administrator Settings Editor', 'Allows access to view and edit Administrator settings.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('MonitorJob-isOn','Monitor Job - Is On','Turn the job on or off','MonitorJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('MonitorJob-longRunningMinutes','Monitor Job - Long Running Minutes','Log any jobs that have been running longer than this many minutes.','MonitorJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-isOn','Abandoned Cart Job - Is On','Turn the job on or off','AbandonedCartEmailJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-emailsDaysThreshold','Abandoned Cart Job - Email Days Threshold','Number of days to avoid sending to the same email address.','AbandonedCartEmailJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-ordersDaysThreshold','Abandoned Cart Job - Orders Days Threshold','Number of days to avoid sending to people who have actually completed an order.','AbandonedCartEmailJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-lookbackHoursStart','Abandoned Cart Job - Lookback Hours Start','Start of range of hours with no activity that should be looked at each run.','AbandonedCartEmailJob', 'integerValue','6',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-lookbackHoursEnd','Abandoned Cart Job - Lookback Hours End','End of range of hours with no activity that should be looked at each run.','AbandonedCartEmailJob', 'integerValue','5',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-templateCode','Abandoned Cart Job - Template Code','The code of the template to use for the emails.','AbandonedCartEmailJob', 'mediumValue',NULL,NULL,'abandonedcart5',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-emailType','Abandoned Cart Job - Email Type','A code used for this type of email when recorded in the email table.   Can be used to look for duplicates, on reports, and other things.   This is required.','AbandonedCartEmailJob', 'smallValue',NULL,'AbandonedCartEmail-5',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-optOutType','Abandoned Cart Job - Opt Out Type','The opt out type that will be used to filter against the opt out table. Use ALL if the address exists no matter what opt out type.  Choose NONE to not filter with the opt outs.','AbandonedCartEmailJob', 'smallValue',NULL,'Marketing',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-sendEmailsPerRun','Abandoned Cart Job - Send Emails Per Run','The maximum amount of emails to send out per run.   Use this to throttle the job to not send all emails at the same time.','AbandonedCartEmailJob', 'integerValue','20',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-ccEmails','Abandoned Cart Job - CC Emails','A comma-separated list of email addresses that will be copied on all Abandoned Cart Emails.','AbandonedCartEmailJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('AbandonedCartEmailJob-bccEmails','Abandoned Cart Job - BCC Emails','A comma-separated list of email addresses that will be blind-copied on all Abandoned Cart Emails.','AbandonedCartEmailJob', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('ReindexLuceneJob-isOn','Reindex Lucene Job - Is On','Turn the job on or off','ReindexLuceneJob', 'booleanValue','0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-isOn','Customer Follow Up Job - Is On','Turn the job on or off','CustomerFollowUpJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-daysSinceCompleted','Customer Follow Up Job - Days Since Completed','Number of days to wait before sending follow up email.','CustomerFollowUpJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-templateCode','Customer Follow Up Job - Template Code','The code of the template to use for the emails.','CustomerFollowUpJob', 'mediumValue',NULL,NULL,'followupemail10',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-emailType','Customer Follow Up Job - Email Type','A code used for this type of email when recorded in the email table.   Can be used to look for duplicates, on reports, and other things.   This is required.','CustomerFollowUpJob', 'smallValue',NULL,'CustomerFollowUpJob-10',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-ignoreStatuses','Customer Follow Up Job - Ignore Statuses','A list of order statuses that should be ignored.','CustomerFollowUpJob', 'mediumValue',NULL,NULL,'Cancelled,Canceled',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-optOutType','Customer Follow Up Job - Opt Out Type','The opt out type that will be used to filter against the opt out table. Use ALL if the address exists no matter what opt out type.  Choose NONE to not filter with the opt outs.','CustomerFollowUpJob', 'smallValue',NULL,'Order Life Cycle',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-sendEmailsPerRun','Customer Follow Up Job - Send Emails Per Run','The maximum amount of emails to send out per run.   Use this to throttle the job to not send all emails at the same time.','CustomerFollowUpJob', 'integerValue','20',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-ccEmails','Customer Follow Up Job - CC Emails','A comma-separated list of email addresses that will be copied on all Customer Follow Up Emails.','CustomerFollowUpJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('CustomerFollowUpJob-bccEmails','Customer Follow Up Job - BCC Emails','A comma-separated list of email addresses that will be blind-copied on all Customer Follow Up Emails.','CustomerFollowUpJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('optOutTypes','Email Opt Out Types','A comma-separated list of opt-out types.  Users can opt out of certain types of emails or all emails.','EMAIL','textValue',NULL,NULL,NULL,'ALL, NONE, Order Life Cycle,  Marketing, Newsletter, Updates');

INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('abandonedcart5','HTML','Was there a problem with your order?','A template to use to send emails to customers who did not finish an order after 5 hours.',
'<style type="text/css">
<!--
.style2 {font-size: 10px}
-->
</style>
<table width="600" height="338" border="1" cellspacing="0">
  <tr>
    <td height="39" bgcolor="#CCCCCC"><div align="center">$!settings.map.storeName</div></td>
  </tr>
  <tr>
    <td height="211" valign="top"><p>Hello,</p>
    <p>During routine maintenance, we noticed that you did not complete your order with us today. If you experienced problems or have any questions or need assistance, please do not hesitate to contact us!</p>
    <p>Thank you</p>
    <p>$!settings.map.storeName</p></td>
  </tr>
  <tr>
    <td height="78" valign="top" bgcolor="#CCCCCC"><div align="center">
      <p><span class="style2">$!settings.map.storeName<br />
        $!settings.map.storeAddress1<br />
        $!settings.map.storeAddress2<br />
        $!settings.map.storeCity, $!settings.map.storeStateOrProvince, $!setting.map.storePostalCode</span><br />
        <br />
      </p>
    </div></td>
  </tr>
</table>',
'Hello,

During routine maintenance, we noticed that you did not complete your order with us today. 

If you experienced problems or have any questions or need assistance, please do not hesitate to contact us!

Thank you
$!settings.map.storeName

---
$!settings.map.storeName
$!settings.map.storeAddress1
$!settings.map.storeAddress2
$!settings.map.storeCity, $!settings.map.storeStateOrProvince, $!setting.map.storePostalCode

',
'1');
INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('followupemail10','HTML','Follow up for order $!order.OrderNumber','A template to use to send emails to as a follow up after 10 days.',
'<style type="text/css">
<!--
h1 { margin: 0 0 .5em 0; padding: .25em 0; font-size: 2em; color: #333; }
div#slate { margin: 0; padding: 0; background: #fff; text-align:center;}
div#wrapper { position: relative; margin:0 auto; padding: 1em 0 0 0; width: 600px; text-align: left; }
#content { margin: 0; padding: 0;  }
div#content p { margin: 0 0 1em 0; }
.clearit:after { content: "."; display: block; height: 0; clear: both; visibility: hidden;}
table#orderInformation td, table#contactInformation td { width: 50%; }
table.tabDetails { width: 100%; margin: 0 0 .5em 0; border: 1px solid #ccc; }
table.tabDetails th, .tabDetails td { position: relative; padding: .25em; vertical-align: top; }
table.tabDetails th { text-align: left; padding: .5em .25em; background: #eee; border-bottom: 1px solid #ccc; }
td#shippingInfoData { border-top: 1px solid #ccc; }
td.orderTotalLabel { text-align: right; width: 90%; }
td.orderTotalAmount { text-align: right; width: 10%; }
td#totalLabel { font-weight: bold; background: #eee; }
td#totalAmount { font-weight: bold; background: #eee; }
table.tabDetails td.total { text-align: right; }
td { font-size: 12px; } 
-->
</style>
<div id="slate">
<div id="wrapper" class="clearit">
<div id="main" class="clearit">
<div id="content">
<h1>$settings.map.storeName</h1>
<table id="orderInformation" class="tabDetails" cellspacing="0" summary="Your Order Information">
<tr>
<th>
Follow up for order $order.orderNumber
</th>
</tr>
<tr>
<td>
<p>Greetings,</p>
<p>We thought we would follow up on your recent order to make sure you received it in good order and are completely satisfied with your purchase.</p>
<p>If you have any comments, questions, or concerns of any kind, please do not hesitate to contact us.</p>
<p>Thank you for shopping with us!</p>
<br /><br />
</td>
</tr>
</table>
<table id="orderInformation" class="tabDetails" cellspacing="0" summary="Your Order Information">
<tr>
<td id="orderStatusDetails">
<strong class="label">Order Number:</strong> $!order.orderNumber <br />
<strong class="label">Completed Date:</strong> $!order.formattedCompleted <br />
#if("$!order.trackingNumber" != "")<strong class="label">Tracking Number:</strong> $!order.trackingNumber <br /> #end
#if("$!order.status" != "")<strong class="label">Status:</strong> $!order.status <br /> #end
#if("$!order.statusDetails" != "")<strong class="label">Details:</strong> $!order.statusDetails #end
</td>
<td id="storeDetails">
#if("$!settings.map.storeEmailAddress" != "")$!settings.map.storeEmailAddress <br />#end
#if("$!settings.map.storePhone" != "")$!settings.map.storePhone <br />#end
<a href="$!settings.map.customerURL">$!settings.map.customerURL</a><br />
</td>
</tr>
</table>
<table id="orderItems" class="tabDetails" cellspacing="0" summary="Your order contents.">
<tr>
<th>Code</th>
<th>Name</th>
<th>Quantity</th>
<th class="total">Total</th>
</tr>
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
<tr>
<td style="background-color:#E9E9E9">$orderItem.Code</td>
<td style="background-color:#E9E9E9">$orderItem.Name</td>
<td style="background-color:#E9E9E9">$orderItem.Quantity</td>
<td style="background-color:#E9E9E9">$orderItem.Total</td>
</tr>
#end
</table>
</div>
</div>
</div>
</div>
',
'Follow up for order $order.orderNumber

Greetings,

We thought we would follow up on your recent order to make sure you received it in good order and are completely satisfied with your purchase.

If you have any comments, questions, or concerns of any kind, please do not hesitate to contact us.

Thank you for shopping with us!
                                       
Order Information

Store Details
$!settings.map.storeName
$!settings.map.storeAddress1
$!settings.map.storeAddress2
$!settings.map.storeCity,  $!settings.map.storeStateOrProvince  $!settings.map.storePostalCode
$!settings.map.storeCountry
$!settings.map.storeEmailAddress
$!settings.map.storePhone

Order Number: $!order.orderNumber
Completed Date: $!order.formattedCompleted
Tracking Number: $!order.trackingNumber
Status: $!order.status
Details: $!order.statusDetails

Billing Address
$!order.billingFirstName $!order.billingLastName
$!order.billingOrganization
$!order.billingAddress1
$!order.billingAddress2
$!order.billingCity,  $!order.billingState  $!order.billingPostalCode
$!order.billingCountry
$!order.billingPhone1
$!order.billingEmail1

Delivery Address
$!order.firstDelivery().deliveryFirstName $!order.firstDelivery().deliveryLastName
$!order.firstDelivery().deliveryOrganization
$!order.firstDelivery().deliveryAddress1
$!order.firstDelivery().deliveryAddress2
$!order.firstDelivery().deliveryCity,  $!order.firstDelivery().deliveryState  $!order.firstDelivery().deliveryPostalCode
$!order.firstDelivery().deliveryCountry
$!order.firstDelivery().deliveryPhone1
$!order.firstDelivery().deliveryEmail1

Shipping Method: $!order.shippingMethod

Order Items
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
Code: $orderItem.Code
Name: $orderItem.Name
Quantity: $orderItem.Quantity
Total: $orderItem.Total

#end

',
'1');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-isOn','Order Shipped Job - Is On','Turn the job on or off','OrderShippedJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-templateCode','OrderShippedJob - Template Code','The code of the template to use for the emails.','OrderShippedJob', 'mediumValue',NULL,NULL,'ordershipped',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-emailType','Order Shipped Job - Email Type','A code used for this type of email when recorded in the email table.   Can be used to look for duplicates, on reports, and other things.   This is required.','OrderShippedJob', 'smallValue',NULL,'OrderShippedJob',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-currentStatuses','OrderShippedJob - Current Statuses','A list of order statuses that should be used to help determine if a shipped email should be sent.','OrderShippedJob', 'mediumValue',NULL,NULL,'Complete,Shipped',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-optOutType','Order Shipped Job - Opt Out Type','The opt out type that will be used to filter against the opt out table. Use ALL if the address exists no matter what opt out type.  Choose NONE to not filter with the opt outs.','OrderShippedJob', 'smallValue',NULL,'Order Life Cycle',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-sendEmailsPerRun','Order Shipped Job - Send Emails Per Run','The maximum amount of emails to send out per run.   Use this to throttle the job to not send all emails at the same time.','OrderShippedJob', 'integerValue','20',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-ccEmails','Order Shipped Job - CC Emails','A comma-separated list of email addresses that will be copied on all Order Shipped Emails.','OrderShippedJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('OrderShippedJob-bccEmails','Order Shipped Job - BCC Emails','A comma-separated list of email addresses that will be blind-copied on all Order Shipped Emails.','OrderShippedJob', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('ordershipped','HTML','Order $!order.OrderNumber Has Shipped','A template to use to send emails about shipped orders.',
'<style type="text/css">
<!--
h1 { margin: 0 0 .5em 0; padding: .25em 0; font-size: 2em; color: #333; }
div#slate { margin: 0; padding: 0; background: #fff; text-align:center;}
div#wrapper { position: relative; margin:0 auto; padding: 1em 0 0 0; width: 600px; text-align: left; }
#content { margin: 0; padding: 0;  }
div#content p { margin: 0 0 1em 0; }
.clearit:after { content: "."; display: block; height: 0; clear: both; visibility: hidden;}
table#orderInformation td, table#contactInformation td { width: 50%; }
table.tabDetails { width: 100%; margin: 0 0 .5em 0; border: 1px solid #ccc; }
table.tabDetails th, .tabDetails td { position: relative; padding: .25em; vertical-align: top; }
table.tabDetails th { text-align: left; padding: .5em .25em; background: #eee; border-bottom: 1px solid #ccc; }
td#shippingInfoData { border-top: 1px solid #ccc; }
td.orderTotalLabel { text-align: right; width: 90%; }
td.orderTotalAmount { text-align: right; width: 10%; }
td#totalLabel { font-weight: bold; background: #eee; }
td#totalAmount { font-weight: bold; background: #eee; }
table.tabDetails td.total { text-align: right; }
td { font-size: 12px; } 
-->
</style>
<div id="slate">
<div id="wrapper" class="clearit">
<div id="main" class="clearit">
<div id="content">
<h1>$settings.map.storeName</h1>
<table id="orderInformation" class="tabDetails" cellspacing="0">
<tr>
<th>
Your order has shipped!  Order Number: $order.orderNumber
</th>
</tr>
<tr>
<td>
<p>Greetings,</p>
<p>We thought we would let you know that we shipped the items from your recent order.</p>
<p>You can track the progress of your shipment through this link: 
<a target="_blank" href="$!linkedTrackingNumber">!$order.trackingNumber</a></p>
<p>Thank you for shopping with us!</p>
<br /><br />
</td>
</tr>
</table>
<table id="orderInformation" class="tabDetails" cellspacing="0">
<tr>
<td id="orderStatusDetails">
<strong>Order Number:</strong> $!order.orderNumber <br />
<strong>Completed Date:</strong> $!order.formattedCompleted <br />
<strong>Tracking Number:</strong> $!order.trackingNumber <br />
<strong>Status:</strong> $!order.status
</td>
<td id="storeDetails">
$!settings.map.storeEmailAddress <br />
#if("$!settings.map.storePhone" != "")$!settings.map.storePhone <br />#end
<a href="$!settings.map.customerURL">$!settings.map.customerURL</a><br />
</td>
</tr>
</table>
<table id="contactInformation" class="tabDetails" cellspacing="0" summary="Your Contact Information">
<tr>
<th>Shipping Information</th>
</tr>
<tr>
<td id="deliveryInfoData">
$!order.firstDelivery().deliveryFirstName &nbsp; $!order.firstDelivery().deliveryLastName <br />
#if("$!order.firstDelivery().deliveryOrganization" != "")$!order.firstDelivery().deliveryOrganization <br />#end
$!order.firstDelivery().deliveryAddress1 <br />
#if("$!order.firstDelivery().deliveryAddress2" != "")$!order.firstDelivery().deliveryAddress2 <br />#end
#if("$!order.firstDelivery().deliveryCity" != "")$!order.firstDelivery().deliveryCity, #end
$!order.firstDelivery().deliveryState 
$!order.firstDelivery().deliveryPostalCode <br />
$!order.firstDelivery().deliveryCountry <br />
#if("$!order.firstDelivery().deliveryPhone1" != "")$!order.firstDelivery().deliveryPhone1 <br />#end
$!order.firstDelivery().deliveryEmail1 <br />
</td>
</tr>
<tr>
<td id="shippingInfoData">
<strong>Shipping Method:</strong> $!order.shippingMethod
</td>
</tr>
</table>
<table id="orderItems" class="tabDetails" cellspacing="0">
<tr>
<th>Code</th>
<th>Name</th>
<th>Quantity</th>
<th class="total">Total</th>
</tr>
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
<tr>
<td style="background-color:#E9E9E9">$orderItem.Code</td>
<td style="background-color:#E9E9E9">$orderItem.Name</td>
<td style="background-color:#E9E9E9">$orderItem.Quantity</td>
<td style="background-color:#E9E9E9">$orderItem.Total</td>
</tr>
#end
</table>
</div>
</div>
</div>
</div>',
'Order $order.orderNumber has Shipped!

Greetings,

We thought we would let you know that we shipped the items from your recent order. You can track the progress of your shipment through this link: $!linkedTrackingNumber.

Thank you for shopping with us!
                                       
Order Information

Order Number: $!order.orderNumber
Completed Date: $!order.formattedCompleted
Tracking Number: $!order.trackingNumber
Status: $!order.status
Details: $!order.statusDetails

Store Details
$!settings.map.storeName
$!settings.map.customerURL
$!settings.map.storeAddress1
$!settings.map.storeAddress2
$!settings.map.storeCity,  $!settings.map.storeStateOrProvince  $!settings.map.storePostalCode
$!settings.map.storeCountry
$!settings.map.storeEmailAddress
$!settings.map.storePhone

Billing Address
$!order.billingFirstName $!order.billingLastName
$!order.billingOrganization
$!order.billingAddress1
$!order.billingAddress2
$!order.billingCity,  $!order.billingState  $!order.billingPostalCode
$!order.billingCountry
$!order.billingPhone1
$!order.billingEmail1

Delivery Address
$!order.firstDelivery().deliveryFirstName $!order.firstDelivery().deliveryLastName
$!order.firstDelivery().deliveryOrganization
$!order.firstDelivery().deliveryAddress1
$!order.firstDelivery().deliveryAddress2
$!order.firstDelivery().deliveryCity,  $!order.firstDelivery().deliveryState  $!order.firstDelivery().deliveryPostalCode
$!order.firstDelivery().deliveryCountry
$!order.firstDelivery().deliveryPhone1
$!order.firstDelivery().deliveryEmail1

Shipping Method: $!order.shippingMethod

Order Items
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
Code: $orderItem.Code
Name: $orderItem.Name
Quantity: $orderItem.Quantity
Total: $orderItem.Total

#end

',
'1');

UPDATE sscTemplate SET class = 'com.softslate.commerce.businessobjects.email.TemplateBean';
UPDATE sscEmail SET class = 'com.softslate.commerce.businessobjects.email.EmailBean';
UPDATE sscEmailOptOut SET class = 'com.softslate.commerce.businessobjects.email.EmailOptOutBean';
