<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="col-xs-12 col-md-6">
	<div class="panel panel-primary flush">
		<div class="panel-heading">
			<p class="instructions panel-title"><bean:message key="accountPassword.instructions" bundle="/customer"/></p>
		</div>
		<div class="panel-body">
			<c:choose>
				<c:when test="${requestScope.originalRequest eq '/ExpiredPasswordForm.do'}">
					<form id="accountPasswordForm" name="registerForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/LoginAndUpdateExpiredPassword.do")%>" method="post">
						<c:if test="${!empty param.rememberMe}"><input type="hidden" name="rememberMe" value="on"/></c:if>
				</c:when>
				<c:when test="${requestScope.originalRequest eq '/CheckoutExpiredPasswordForm.do'}">
					<form id="accountPasswordForm" name="registerForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutLoginAndUpdateExpiredPassword.do")%>" method="post">
						<c:if test="${!empty param.rememberMe}"><input type="hidden" name="rememberMe" value="on"/></c:if>
				</c:when>
				<c:otherwise>
					<form id="accountPasswordForm" name="registerForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/UpdatePassword.do")%>" method="post">
				</c:otherwise>
			</c:choose>
				<%--Cross-site request forgery token--%>
				<html:hidden name="updatePasswordForm" property="csrfToken" value="${sessionScope.csrfToken}"/>

				<%--User name/email field--%>
				<div class="form-group">
					<label for="loginUserName">
						<c:if test="${keepUserNameAndEmailInSync eq '1'}">
							<bean:message key="customer.email" bundle="/customer"/>:
						</c:if>
						<c:if test="${keepUserNameAndEmailInSync ne '1'}">
							<bean:message key="customer.userName" bundle="/customer"/>:
						</c:if>
					</label><br>
					<html:text styleId="loginUserName" styleClass="textbox form-control" name="updatePasswordForm" property="userName"/>
				</div>

				<%--Current password field--%>
				<div class="form-group">
					<label for="loginCurrentPassword">
						<bean:message key="customer.currentPassword" bundle="/customer"/>:
					</label><br>
					<input type="password" id="loginCurrentPassword" class="textbox form-control" name="currentPassword"/>
				</div>

				<%--Password field--%>
				<div class="form-group">
					<label for="loginDecryptedPassword">
						<bean:message key="customer.newPassword" bundle="/customer"/>:
					</label><br>
					<input type="password" id="loginDecryptedPassword" class="textbox form-control" name="decryptedPassword"/>
				</div>

				<%--Confirm Password field--%>
				<div class="form-group">
					<label for="confirmPassword">
						<bean:message key="customer.confirmPassword" bundle="/customer"/>:
					</label><br>
					<input type="password" i="confirmPassword" class="textbox form-control" name="confirmPassword"/>
				</div>

				<%--Submit button--%>
				<span id="accountPasswordButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="accountPassword.button" bundle="/customer"/>" /></span>

			</form>
		</div>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
