package com.softslate.commerce.administrator.customer;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.customer.Customer;
import com.softslate.commerce.businessobjects.customer.CustomerProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * <code>/administrator/CustomerAddressAddForm.do</code>. Creates an empty
 * <code>CustomerAddressAddEditForm</code> object.
 * 
 * @author David Tobey
 * 
 */
public class CustomerAddressAddFormAction extends BaseAction {

	static Log log = LogFactory.getLog(CustomerAddressAddFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		CustomerAddressAddEditForm baseForm = (CustomerAddressAddEditForm) form;

		if (request.getAttribute("reset") != null
				&& request.getAttribute("reset").equals("true")) {
			Class classDefinition = baseForm.getClass();
			baseForm = (CustomerAddressAddEditForm) classDefinition
					.newInstance();
		}

		baseForm.initializeProperties(mapping, request);
		request.setAttribute("customerAddressAddEditForm", baseForm);
		baseForm.setCustomerID(request.getParameter("customerID"));

		// Load the parent if an id is present
		BusinessObjectFactory bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		Customer customer = null;
		if (baseForm.getCustomerID() != null
				&& baseForm.getCustomerID().length() > 0) {
			CustomerProcessor processor =  bof
					.createObject(CustomerProcessor.class);
			customer = processor.loadCustomerFromID(PropertyUtils
					.describe(baseForm));
			request.setAttribute("customer", customer);
		}

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Customers",
				"Customer Details", "Customer Delivery Addresses",
				"Add Customer Delivery Address" });
		request.setAttribute("breadcrumbs", bcs);

		// Create childSubNavigation collection
		/*Collection childsn = Arrays
				.asList(new String[] { "Customer Delivery Addresses",
						"Add Customer Delivery Address" });
		request.setAttribute("childSubNavigation", childsn);*/

		return mapping.findForward("success");
	}
}
