package com.softslate.commerce.administrator.email;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.email.Template;

/**
 * Struts form class corresponding to requests to "/administrator/Template.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscTemplate</code> table.
 * 
 */
public class TemplateForm extends BaseSerializableForm {

	private static final long serialVersionUID = -6945513750634596591L;

	static Log log = LogFactory.getLog(TemplateForm.class);

    private String idField = "templateID";

    private String entityProperty = "template";

    private Class entity = Template.class;

    private String[] searchableIntFields = { "templateID" };

	private String nameField = "code";

	private String[] searchableFields = { "code", "type", "subject", "description", "bodyHtml", "bodyText" };

	private String[] fields = { "templateID", "code", "type", "subject", "description", "bodyHtml", "bodyText",
			"isActive" };

	private String[] fieldLables = { "Template ID", "Code", "Type", "Subject", "Description", "Body HTML", "Body Text",
			"Is Active" };

	private String[] displayFields = { "templateID", "code", "type", "subject", "isActive" };

	private String sortByString = "code";

	private String sortAscOrDesc = "ASC";

    private String formAction = "/Template.do";

    private String addFormAction = "/TemplateAddForm.do";

    private String editFormAction = "/TemplateEditForm.do";

    private String editDeleteFormAction = "/TemplateEditDelete.do";

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }
    
    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String getEntityProperty() {
        return entityProperty;
    }

    public void setEntityProperty(String entityProperty) {
        this.entityProperty = entityProperty;
    }

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }
    
    private String[] templateID = null;

    public String[] getTemplateID() {
        return templateID;
    }

    public void setTemplateID(String[] templateID) {
        this.templateID = templateID;
    }
    
	private String[] code = null;

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}
	private String[] type = null;

	public String[] getType() {
		return type;
	}

	public void setType(String[] type) {
		this.type = type;
	}
	private String[] subject = null;

	public String[] getSubject() {
		return subject;
	}

	public void setSubject(String[] subject) {
		this.subject = subject;
	}
	private String[] description = null;

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	private String[] bodyHtml = null;

	public String[] getBodyHtml() {
		return bodyHtml;
	}

	public void setBodyHtml(String[] bodyHtml) {
		this.bodyHtml = bodyHtml;
	}

	private String[] bodyText = null;

	public String[] getBodyText() {
		return bodyText;
	}

	public void setBodyText(String[] bodyText) {
		this.bodyText = bodyText;
	}
	private String[] isActive = null;

	public String[] getIsActive() {
		return isActive;
	}

	public void setIsActive(String[] isActive) {
		this.isActive = isActive;
	}

	public void setProperties(HttpServletRequest request) {
		super.setProperties(request);
	}

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
		if (getTemplateID() != null) {
			for (int i = 0; i < getTemplateID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null || getCode()[i].trim().equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Code"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("type")) {
					if (getType().length < i + 1 || getType()[i] == null || getType()[i].trim().equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Type"));
					}
				}
			}
		}
        return errors;
    }
}
