package com.softslate.commerce.administrator.order;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.order.Order;
import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * "/administrator/SendEmailsForm.do". Loads in the current values of the order
 * being worked with.
 * 
 * @author David Tobey
 * 
 */
public class SendEmailsFormAction extends BaseAction {

	static Log log = LogFactory.getLog(SendEmailsFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		SendEmailsForm baseForm = (SendEmailsForm) form;
		baseForm.initializeProperties(mapping, request);

		// Get the record to edit
		OrderProcessor processor = (OrderProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"orderProcessorImplementer");
		Order order = processor.loadOrderFromID(PropertyUtils.describe(form));
		BeanUtils.copyProperties(baseForm, order);

		// Enforce role permissions
		if (!request.isUserInRole("superuser")
				&& !request.isUserInRole("administrator")
				&& !request.isUserInRole("orderEdit")) {
			request.setAttribute("editPermission", "false");
		} else {
			request.setAttribute("editPermission", "true");
		}

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Orders",
 "Order Details", "Confirmation Emails" });
		request.setAttribute("breadcrumbs", bcs);

		request.setAttribute("orderAddEditForm", order);
		request.setAttribute("order", order);
		return mapping.findForward("success");
	}
}
