package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.upload.FormFile;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/CategoryAddForm.do", "/administrator/CategoryEditForm.do",
 * "/administrator/CategoryAdd.do", and "/administrator/CategoryEdit.do".
 * Provides properties corresponding to the fields for a single category record.
 * 
 * @author David Tobey
 * 
 */
public class CategoryAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3257849883107995961L;

	static Log log = LogFactory.getLog(CategoryAddEditForm.class);

	private String categoryID = null;

	private String productID = null;

	private String code = null;

	private String name = null;

	private String keywords = null;

	private String description = null;

	private String isActive = "true";

	private String isContentPage = "false";

	private String categoryTreeID = "1";

	private String header = null;

	private String footer = null;

	private String smallImage = null;

	private String mediumImage = null;

	private String largeImage = null;

	private String extra1 = null;

	private String extra2 = null;

	private String extra3 = null;

	private String parentCategory = null;

	private String categoryOrder = "0";

	private FormFile smallImageUpload = null;

	private String workWithCategories = "Categories";

	private boolean updateAdvancedSearchIndex = true;

	private boolean overwriteImageFiles = false;

	public FormFile getSmallImageUpload() {
		return smallImageUpload;
	}

	public void setSmallImageUpload(FormFile smallImageUpload) {
		this.smallImageUpload = smallImageUpload;
	}

	private FormFile mediumImageUpload = null;

	public FormFile getMediumImageUpload() {
		return mediumImageUpload;
	}

	public void setMediumImageUpload(FormFile mediumImageUpload) {
		this.mediumImageUpload = mediumImageUpload;
	}

	private FormFile largeImageUpload = null;

	public FormFile getLargeImageUpload() {
		return largeImageUpload;
	}

	public void setLargeImageUpload(FormFile largeImageUpload) {
		this.largeImageUpload = largeImageUpload;
	}

	public String getCategoryID() {
		return categoryID;
	}

	public void setCategoryID(String categoryID) {
		this.categoryID = categoryID;
	}

	public String getCategoryOrder() {
		return categoryOrder;
	}

	public void setCategoryOrder(String categoryOrder) {
		this.categoryOrder = categoryOrder;
	}

	public String getCategoryTreeID() {
		return categoryTreeID;
	}

	public void setCategoryTreeID(String categoryTreeID) {
		this.categoryTreeID = categoryTreeID;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getFooter() {
		return footer;
	}

	public void setFooter(String footer) {
		this.footer = footer;
	}

	public String getHeader() {
		return header;
	}

	public void setHeader(String header) {
		this.header = header;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getLargeImage() {
		return largeImage;
	}

	public void setLargeImage(String largeImage) {
		this.largeImage = largeImage;
	}

	public String getMediumImage() {
		return mediumImage;
	}

	public void setMediumImage(String mediumImage) {
		this.mediumImage = mediumImage;
	}

	public String getExtra1() {
		return extra1;
	}

	public void setExtra1(String extra1) {
		this.extra1 = extra1;
	}

	public String getExtra2() {
		return extra2;
	}

	public void setExtra2(String extra2) {
		this.extra2 = extra2;
	}

	public String getExtra3() {
		return extra3;
	}

	public void setExtra3(String extra3) {
		this.extra3 = extra3;
	}

	public String getKeywords() {
		return keywords;
	}

	public void setKeywords(String keywords) {
		this.keywords = keywords;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getParentCategory() {
		return parentCategory;
	}

	public void setParentCategory(String parentCategory) {
		this.parentCategory = parentCategory;
	}

	public String getSmallImage() {
		return smallImage;
	}

	public void setSmallImage(String smallImage) {
		this.smallImage = smallImage;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getIsContentPage() {
		return isContentPage;
	}

	public void setIsContentPage(String isContentPage) {
		this.isContentPage = isContentPage;
	}

	public String getWorkWithCategories() {
		return workWithCategories;
	}

	public void setWorkWithCategories(String workWithCategories) {
		this.workWithCategories = workWithCategories;
	}

	public boolean getUpdateAdvancedSearchIndex() {
		return updateAdvancedSearchIndex;
	}

	public void setUpdateAdvancedSearchIndex(boolean updateAdvancedSearchIndex) {
		this.updateAdvancedSearchIndex = updateAdvancedSearchIndex;
	}

	public boolean getOverwriteImageFiles() {
		return overwriteImageFiles;
	}

	public void setOverwriteImageFiles(boolean overwriteImageFiles) {
		this.overwriteImageFiles = overwriteImageFiles;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!addingNewRecord() && StringUtils.isEmpty(getCategoryID()) && StringUtils.isEmpty(getCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "categoryID or code"));
		}
		if (addingAndFieldIsBlank(getName()) || editingAndFieldIsBeingEmptiedOut(getName())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Name"));
		}
		if (editingAndFieldIsBeingEmptiedOut(getCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Code"));
		}
		if (getCode() != null && !getCode().equals("")
				&& containsUnsafeCharacter(getCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter", "The code "
							+ StringEscapeUtils.escapeXml11(getCode()), containsUnsafeCharacter(getCode(),
							request)));
		}
		if (getCategoryID() != null && !getCategoryID().equals("")
				&& getParentCategory() != null
				&& getCategoryID().equals(getParentCategory())) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.detail",
							"This category/content page may not be a parent "
									+ "of itself. Select another parent."));
		}
		return getErrors();
	}
}
