package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 *  
 */
public class ProductSettingsFormDownloads extends BaseForm {

    private static final long serialVersionUID = -2620750183825952822L;

    static Log log = LogFactory.getLog(ProductSettingsFormDownloads.class);

    private String productID = null;

    private String parentName = null;

    private String breadcrumbName = "file downloads";

    private String breadcrumbTarget = "ProductSettingsDownloads.do";

    private String type = "DOWNLOADS";

    private String[] files = null;

    private String[] names = null;

    private String[] mimes = null;

    private String[] descriptions = null;

    private String[] code = { "downloadsNames", "downloadsFiles",
            "downloadsMimes", "downloadsDescriptions" };

    private String[] name = { "File Name", "Full Path on Server", "Mime Type",
            "Description" };

    private String[] description = {
            "A comma-separated list of download file names.",
            "A comma-separated list of download files to be made accessible with purchase of this product.",
            "A comma-separated list of download file mime types.",
            "A comma-separated list of download file descriptions." };

    private String[] value = { "", "", "", "" };

    private String[] valueType = { "textValue", "textValue", "textValue",
            "textValue" };

    public String[] getDescriptions() {
        return descriptions;
    }

    public void setDescriptions(String[] descriptions) {
        this.descriptions = descriptions;
    }

    public String[] getFiles() {
        return files;
    }

    public void setFiles(String[] files) {
        this.files = files;
    }

    public String[] getNames() {
        return names;
    }

    public void setNames(String[] names) {
        this.names = names;
    }

    public String[] getMimes() {
        return mimes;
    }

    public void setMimes(String[] mimes) {
        this.mimes = mimes;
    }

    public String[] getCode() {
        return code;
    }

    public void setCode(String[] code) {
        this.code = code;
    }

    public String[] getDescription() {
        return description;
    }

    public void setDescription(String[] description) {
        this.description = description;
    }

    public String[] getName() {
        return name;
    }

    public void setName(String[] name) {
        this.name = name;
    }

    public String getProductID() {
        return productID;
    }

    public void setProductID(String productID) {
        this.productID = productID;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String[] getValue() {
        return value;
    }

    public void setValue(String[] value) {
        this.value = value;
    }

    public String[] getValueType() {
        return valueType;
    }

    public void setValueType(String[] valueType) {
        this.valueType = valueType;
    }

    public String getBreadcrumbName() {
        return breadcrumbName;
    }

    public void setBreadcrumbName(String breadcrumbName) {
        this.breadcrumbName = breadcrumbName;
    }

    public String getBreadcrumbTarget() {
        return breadcrumbTarget;
    }

    public void setBreadcrumbTarget(String breadcrumbTarget) {
        this.breadcrumbTarget = breadcrumbTarget;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        StringBuffer filesList = new StringBuffer("");
        StringBuffer namesList = new StringBuffer("");
        StringBuffer mimesList = new StringBuffer("");
        StringBuffer descriptionsList = new StringBuffer("");
        int count = 0;
        for (int i = 0; i < getFiles().length; i++) {
            if (getFiles()[i].length() > 0) {
                if (count != 0) {
                    filesList.append(",");
                    namesList.append(",");
                    mimesList.append(",");
                    descriptionsList.append(",");
                }
                filesList.append(getFiles()[i]);
                namesList.append(getNames()[i]);
                mimesList.append(getMimes()[i]);
                descriptionsList.append(getDescriptions()[i]);
                count++;
            }
        }
        getValue()[0] = namesList.toString();
        getValue()[1] = filesList.toString();
        getValue()[2] = mimesList.toString();
        getValue()[3] = descriptionsList.toString();
        return getErrors();
    }
}
