package com.softslate.commerce.businessobjects.events;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.google.common.eventbus.Subscribe;
import com.softslate.commerce.businessobjects.core.BaseBusinessProcessor;
import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;

/* 
 * This class is a singleton maintained by EventBus. For thread safety, it simply creates a new instance of
 * OrderStatusEmailNotificationTrigger and hands off the processing to it.
 */
public class OrderStatusEmailNotificationSubscriberImpl extends BaseBusinessProcessor
		implements OrderStatusEmailNotificationSubscriber {

	static Log log = LogFactory.getLog(OrderStatusEmailNotificationSubscriberImpl.class);

	@Subscribe
	public void processOrderStatusChange(ChangedOrderEvent coe) throws Exception {
		log.info("Subscriber for order status change email notification.");
		BusinessObjectFactory bof = coe.getBusinessProcessor().getBusinessObjectFactory();
		OrderStatusEmailNotificationTrigger trigger = bof.createObject(OrderStatusEmailNotificationTrigger.class);
		trigger.processOrderStatusChange(coe);
	}
}
