package com.softslate.commerce.businessobjects.storage;

import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BaseBusinessProcessor;

public class LocalFileStorageProcessor extends BaseBusinessProcessor implements FileStorageProcessor {

	private Log log = LogFactory.getLog(LocalFileStorageProcessor.class);

	@Override
	public Map storeFile(InputStream fileIS, String fullPathForFile, String fileType) throws Exception {
		log.info("Storing file locally: " + fullPathForFile);
		Map results = new HashMap();
		OutputStream output = new FileOutputStream(fullPathForFile);
		byte[] buf = new byte[2048];
		int cnt;
		while ((cnt = fileIS.read(buf)) > 0) {
			output.write(buf, 0, cnt);
		}
		output.close();
		fileIS.close();
		return results;
	}

	@Override
	public String urlForFile(String imagePathURL, String filename, String fileType) throws Exception {
		return imagePathURL + filename;
	}

	@Override
	public boolean doesFileExist(String fullPathForFile, String fileType) {
		return fullPathForFile != null && new File(fullPathForFile).exists();
	}

}
