package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.AppUtils;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class used for requests to view the change password form. Used
 * for requests to "/AccountPassword.do".
 * <p>
 * The <code>execute</code> method of this class creates an instance of
 * {@link com.softslate.commerce.customer.customer.RegisterForm}<!-- --> and places
 * it in the request scope for use by the change password form screen.
 * 
 * @author David Tobey
 * 
 */
public class AccountPasswordAction extends BaseAction {
	static Log log = LogFactory.getLog(AccountPasswordAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		UpdatePasswordForm baseForm = (UpdatePasswordForm) form;
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);
		synchronized (AppUtils.getSessionLock(baseForm.getRequest().getSession())) {

			// Preserve the original request so the customer is redirected
			// back here after logging in
			request.setAttribute("originalRequest", request.getRequestURI());
			
			// Prepopulate the form
			if (baseForm.getUser().getCustomer() != null) {
				if (baseForm.getUser().getCustomer().getUserName() != null) {
					baseForm.setUserName(baseForm.getUser()
							.getCustomer().getUserName());
				}
			}
			return mapping.findForward("success");
		}
	}
}
