package com.softslate.commerce.customer.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Form class corresponding to SuggestionsAction, an action that searches for suggestions in the Suggestions index
 * matching the user input, to help users search.
 */
public class SuggestionsForm extends BaseForm {
	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(SuggestionsForm.class);

	String searchString = null;

	String indexDir = null;

	public String getSearchString() {
		return searchString;
	}

	public void setSearchString(String searchString) {
		this.searchString = searchString;
	}

	public String getIndexDir() {
		return indexDir;
	}

	public void setIndexDir(String indexDir) {
		this.indexDir = indexDir;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		String index = (String) getSettings().getValue("luceneIndexDir");
		setIndexDir(getServlet().getServletContext().getRealPath(index));
		if (getSearchString() == null || getSearchString().length() == 0) {
			String message = getMessage("product", "search.fieldName", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", message));
		}
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}

}
