package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.OrderShippingRule;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscOrderShippingRule</code> table of the
 * database.
 * 
 * @author Jason McWilliams
 * 
 */
public interface OrderShippingRuleDAO extends DAOInterface {
	abstract OrderShippingRule getOrderShippingRule();

	abstract void setOrderShippingRule(OrderShippingRule orderShippingRule);

	abstract void loadOrderShippingRuleFromID() throws Exception;

	abstract void insertOrderShippingRule() throws Exception;

	abstract void insertOrderShippingRule(boolean commit) throws Exception;

	abstract void updateOrderShippingRule() throws Exception;

	abstract void updateOrderShippingRule(boolean commit) throws Exception;

	abstract void deleteOrderShippingRule() throws Exception;

	abstract void deleteOrderShippingRule(boolean commit) throws Exception;
}
