package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to skus.
 * 
 * @author David Tobey
 */
public interface SKUGatewayDAO extends DAOInterface {
	abstract Map loadSKUsAndCount(Map parameters) throws Exception;

	abstract Map editDeleteSKUs(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	abstract void decrementSKU(int skuID, int quantity) throws Exception;

	abstract void decrementSKU(boolean commit, int skuID, int quantity)
			throws Exception;

	abstract void incrementSKU(int skuID, int quantity) throws Exception;

	abstract void incrementSKU(boolean commit, int skuID, int quantity)
			throws Exception;

	abstract void deleteOrphanedSKUs(boolean commit) throws Exception;

	abstract int loadMaxSKUID() throws Exception;

	abstract Collection loadAllSKUsInRange(int firstID, int lastID)
			throws Exception;
}
