package com.softslate.commerce.daos.shipping;

import java.util.Map;
import java.util.Collection;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to shipping rules.
 * 
 * @author Jason McWilliams
 */
public interface ShippingRuleGatewayDAO extends DAOInterface {
    abstract Map loadShippingRulesAndCount(Map parameters) throws Exception;

    abstract Map editDeleteShippingRules(Map parameters, BusinessObjectFactory bof)
            throws Exception;
    
    abstract Collection getShippingRulesBySkuIDs(Collection skuIDs) throws Exception;

	abstract Collection loadLimitByLocationShippingRules() throws Exception;
    
}
