    drop table sscAudAdministrator cascade constraints;

    drop table sscAudAdministratorRole cascade constraints;

    drop table sscAudAttribute cascade constraints;

    drop table sscAudBasicTaxRate cascade constraints;

    drop table sscAudCategory cascade constraints;

    drop table sscAudCategorySetting cascade constraints;

    drop table sscAudCountry cascade constraints;

    drop table sscAudCustomer cascade constraints;

    drop table sscAudCustomerAddress cascade constraints;

    drop table sscAudCustomerWishList cascade constraints;

    drop table sscAudCustomerWishListProduct cascade constraints;

    drop table sscAudDiscount cascade constraints;

    drop table sscAudDiscountRange cascade constraints;

    drop table sscAudManufacturer cascade constraints;

    drop table sscAudOption cascade constraints;

    drop table sscAudOrder cascade constraints;

    drop table sscAudOrderDelivery cascade constraints;

    drop table sscAudOrderDiscount cascade constraints;

    drop table sscAudOrderItem cascade constraints;

    drop table sscAudOrderItemAttribute cascade constraints;

    drop table sscAudOrderSetting cascade constraints;

    drop table sscAudOrderShippingRule cascade constraints;

    drop table sscAudPayment cascade constraints;

    drop table sscAudProduct cascade constraints;

    drop table sscAudProductAttribute cascade constraints;

    drop table sscAudProductCategory cascade constraints;

    drop table sscAudProductReview cascade constraints;

    drop table sscAudProductSetting cascade constraints;

    drop table sscAudRelatedProduct cascade constraints;

    drop table sscAudRole cascade constraints;

    drop table sscAudSKU cascade constraints;

    drop table sscAudSKUDiscount cascade constraints;

    drop table sscAudSKUShippingRule cascade constraints;

    drop table sscAudSetting cascade constraints;

    drop table sscAudShippingMethod cascade constraints;

    drop table sscAudShippingRate cascade constraints;

    drop table sscAudShippingRule cascade constraints;

    drop table sscAudShippingRuleRange cascade constraints;

    drop table sscAudState cascade constraints;

    drop table sscAudTemplate cascade constraints;

    drop table sscREVCHANGES cascade constraints;

    drop table sscREVINFO cascade constraints;

    create table sscAudAdministrator (
        class varchar2(255) not null,
        administratorID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        administratorID_MOD boolean,
        userName varchar2(100),
        userName_MOD boolean,
        password varchar2(255),
        password_MOD boolean,
        lastLogin varchar2(100),
        lastLogin_MOD boolean,
        isApiUser boolean,
        isApiUser_MOD boolean,
        passwordExpires varchar2(100),
        passwordExpires_MOD boolean,
        numberOfFailedLogins number(10,0),
        numberOfFailedLogins_MOD boolean,
        lockedOutUntil varchar2(100),
        lockedOutUntil_MOD boolean,
        previousPasswords clob,
        previousPasswords_MOD boolean,
        allowedIPAddresses clob,
        allowedIPAddresses_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        administratorRoles_MOD boolean,
        primary key (administratorID, REV)
    );

    create table sscAudAdministratorRole (
        class varchar2(255) not null,
        administratorRoleID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        administratorRoleID_MOD boolean,
        administratorID number(10,0),
        administratorID_MOD boolean,
        roleID number(10,0),
        roleID_MOD boolean,
        administrator_MOD boolean,
        role_MOD boolean,
        primary key (administratorRoleID, REV)
    );

    create table sscAudAttribute (
        class varchar2(255) not null,
        attributeID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        attributeID_MOD boolean,
        attributeCode varchar2(100),
        attributeCode_MOD boolean,
        attributeName varchar2(255),
        attributeName_MOD boolean,
        attributeDescription clob,
        attributeDescription_MOD boolean,
        attributeIsActive boolean,
        attributeIsActive_MOD boolean,
        attributeType varchar2(32),
        attributeType_MOD boolean,
        attributeUnitCost double precision,
        attributeUnitCost_MOD boolean,
        attributeUnitPrice double precision,
        attributeUnitPrice_MOD boolean,
        attributeAltPrice double precision,
        attributeAltPrice_MOD boolean,
        attributeWeight double precision,
        attributeWeight_MOD boolean,
        attributeSmallImage varchar2(255),
        attributeSmallImage_MOD boolean,
        attributeLargeImage varchar2(255),
        attributeLargeImage_MOD boolean,
        attributeIsRequired boolean,
        attributeIsRequired_MOD boolean,
        defaultOptionID number(10,0),
        defaultOptionID_MOD boolean,
        attributeOrder number(10,0),
        attributeOrder_MOD boolean,
        productAttributes_MOD boolean,
        attributeOptions_MOD boolean,
        primary key (attributeID, REV)
    );

    create table sscAudBasicTaxRate (
        class varchar2(255) not null,
        basicTaxRateID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        basicTaxRateID_MOD boolean,
        countryID number(10,0),
        countryID_MOD boolean,
        stateID number(10,0),
        stateID_MOD boolean,
        city varchar2(100),
        city_MOD boolean,
        postalCode varchar2(100),
        postalCode_MOD boolean,
        rate double precision,
        rate_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        country_MOD boolean,
        state_MOD boolean,
        primary key (basicTaxRateID, REV)
    );

    create table sscAudCategory (
        class varchar2(255) not null,
        categoryID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        categoryID_MOD boolean,
        parentCategory number(10,0),
        parentCategory_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description clob,
        description_MOD boolean,
        keywords varchar2(255),
        keywords_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        isContentPage boolean,
        isContentPage_MOD boolean,
        categoryTreeID number(10,0),
        categoryTreeID_MOD boolean,
        header clob,
        header_MOD boolean,
        footer clob,
        footer_MOD boolean,
        smallImage varchar2(255),
        smallImage_MOD boolean,
        mediumImage varchar2(255),
        mediumImage_MOD boolean,
        largeImage varchar2(255),
        largeImage_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        categoryOrder number(10,0),
        categoryOrder_MOD boolean,
        parent_MOD boolean,
        productCategories_MOD boolean,
        categorySettings_MOD boolean,
        primary key (categoryID, REV)
    );

    create table sscAudCategorySetting (
        class varchar2(255) not null,
        categorySettingID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        categorySettingID_MOD boolean,
        categoryID number(10,0),
        categoryID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description varchar2(255),
        description_MOD boolean,
        type varchar2(100),
        type_MOD boolean,
        valueType varchar2(16),
        valueType_MOD boolean,
        integerValue number(10,0),
        integerValue_MOD boolean,
        smallValue varchar2(64),
        smallValue_MOD boolean,
        mediumValue varchar2(255),
        mediumValue_MOD boolean,
        textValue clob,
        textValue_MOD boolean,
        category_MOD boolean,
        primary key (categorySettingID, REV)
    );

    create table sscAudCountry (
        class varchar2(255) not null,
        countryID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        code varchar2(255),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        allowOtherStates boolean,
        allowOtherStates_MOD boolean,
        countryOrder number(10,0),
        countryOrder_MOD boolean,
        states_MOD boolean,
        primary key (countryID, REV)
    );

    create table sscAudCustomer (
        class varchar2(255) not null,
        customerID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        customerID_MOD boolean,
        userName varchar2(100),
        userName_MOD boolean,
        password varchar2(255),
        password_MOD boolean,
        created varchar2(100),
        created_MOD boolean,
        lastLogin varchar2(100),
        lastLogin_MOD boolean,
        autoLoginToken varchar2(255),
        autoLoginToken_MOD boolean,
        status varchar2(100),
        status_MOD boolean,
        firstName varchar2(100),
        firstName_MOD boolean,
        lastName varchar2(100),
        lastName_MOD boolean,
        organization varchar2(100),
        organization_MOD boolean,
        address1 varchar2(255),
        address1_MOD boolean,
        address2 varchar2(255),
        address2_MOD boolean,
        city varchar2(100),
        city_MOD boolean,
        state varchar2(100),
        state_MOD boolean,
        postalCode varchar2(100),
        postalCode_MOD boolean,
        country varchar2(100),
        country_MOD boolean,
        phone1 varchar2(100),
        phone1_MOD boolean,
        phone2 varchar2(100),
        phone2_MOD boolean,
        email1 varchar2(100),
        email1_MOD boolean,
        email2 varchar2(100),
        email2_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        extra4 varchar2(255),
        extra4_MOD boolean,
        extra5 varchar2(255),
        extra5_MOD boolean,
        notes clob,
        notes_MOD boolean,
        cimProfileID varchar2(100),
        cimProfileID_MOD boolean,
        canUsePO boolean,
        canUsePO_MOD boolean,
        passwordToken varchar2(100),
        passwordToken_MOD boolean,
        passwordTokenDate varchar2(100),
        passwordTokenDate_MOD boolean,
        customerAddressCollection_MOD boolean,
        customerWishLists_MOD boolean,
        passwordExpires varchar2(255),
        passwordExpires_MOD boolean,
        numberOfFailedLogins number(10,0),
        numberOfFailedLogins_MOD boolean,
        lockedOutUntil varchar2(255),
        lockedOutUntil_MOD boolean,
        previousPasswords clob,
        previousPasswords_MOD boolean,
        primary key (customerID, REV)
    );

    create table sscAudCustomerAddress (
        class varchar2(255) not null,
        customerAddressID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        customerAddressID_MOD boolean,
        customerID number(10,0),
        customerID_MOD boolean,
        status varchar2(100),
        status_MOD boolean,
        firstName varchar2(100),
        firstName_MOD boolean,
        lastName varchar2(100),
        lastName_MOD boolean,
        organization varchar2(100),
        organization_MOD boolean,
        address1 varchar2(255),
        address1_MOD boolean,
        address2 varchar2(255),
        address2_MOD boolean,
        city varchar2(100),
        city_MOD boolean,
        state varchar2(100),
        state_MOD boolean,
        postalCode varchar2(100),
        postalCode_MOD boolean,
        country varchar2(100),
        country_MOD boolean,
        phone1 varchar2(100),
        phone1_MOD boolean,
        phone2 varchar2(100),
        phone2_MOD boolean,
        email1 varchar2(100),
        email1_MOD boolean,
        email2 varchar2(100),
        email2_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        extra4 varchar2(255),
        extra4_MOD boolean,
        extra5 varchar2(255),
        extra5_MOD boolean,
        notes clob,
        notes_MOD boolean,
        isDefault boolean,
        isDefault_MOD boolean,
        paymentToken varchar2(255),
        paymentToken_MOD boolean,
        creditCardName varchar2(255),
        creditCardName_MOD boolean,
        creditCardType varchar2(16),
        creditCardType_MOD boolean,
        creditCardDate varchar2(16),
        creditCardDate_MOD boolean,
        creditCardNumberDisplay varchar2(32),
        creditCardNumberDisplay_MOD boolean,
        identifier varchar2(255),
        identifier_MOD boolean,
        isBilling boolean,
        isBilling_MOD boolean,
        customer_MOD boolean,
        primary key (customerAddressID, REV)
    );

    create table sscAudCustomerWishList (
        class varchar2(255) not null,
        customerWishListID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        customerWishListID_MOD boolean,
        customerID number(10,0),
        customerID_MOD boolean,
        name varchar2(100),
        name_MOD boolean,
        description clob,
        description_MOD boolean,
        created varchar2(100),
        created_MOD boolean,
        lastUpdated varchar2(100),
        lastUpdated_MOD boolean,
        customer_MOD boolean,
        customerWishListProducts_MOD boolean,
        primary key (customerWishListID, REV)
    );

    create table sscAudCustomerWishListProduct (
        class varchar2(255) not null,
        customerWishListProductID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        customerWishListProductID_MOD boolean,
        customerWishListID number(10,0),
        customerWishListID_MOD boolean,
        productID number(10,0),
        productID_MOD boolean,
        product_MOD boolean,
        customerWishList_MOD boolean,
        primary key (customerWishListProductID, REV)
    );

    create table sscAudDiscount (
        class varchar2(255) not null,
        discountID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        discountID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description clob,
        description_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        usersAppliesType varchar2(32),
        usersAppliesType_MOD boolean,
        usersAppliesValue varchar2(255),
        usersAppliesValue_MOD boolean,
        itemsAppliesType varchar2(32),
        itemsAppliesType_MOD boolean,
        itemsAppliesValue varchar2(255),
        itemsAppliesValue_MOD boolean,
        cartItemsType varchar2(32),
        cartItemsType_MOD boolean,
        cartItemsValue varchar2(255),
        cartItemsValue_MOD boolean,
        rewardType varchar2(32),
        rewardType_MOD boolean,
        reward double precision,
        reward_MOD boolean,
        couponCode varchar2(64),
        couponCode_MOD boolean,
        startDate varchar2(100),
        startDate_MOD boolean,
        expirationDate varchar2(100),
        expirationDate_MOD boolean,
        timesUsed number(10,0),
        timesUsed_MOD boolean,
        maxTimesUsed number(10,0),
        maxTimesUsed_MOD boolean,
        isTimesPerCustomer boolean,
        isTimesPerCustomer_MOD boolean,
        orderItemID number(10,0),
        orderItemID_MOD boolean,
        discountOrder number(10,0),
        discountOrder_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        skuDiscounts_MOD boolean,
        discountRanges_MOD boolean,
        orderItem_MOD boolean,
        primary key (discountID, REV)
    );

    create table sscAudDiscountRange (
        class varchar2(255) not null,
        discountRangeID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        discountRangeID_MOD boolean,
        discountID number(10,0),
        discountID_MOD boolean,
        rewardType varchar2(32),
        rewardType_MOD boolean,
        reward double precision,
        reward_MOD boolean,
        floor double precision,
        floor_MOD boolean,
        ceiling double precision,
        ceiling_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        discount_MOD boolean,
        primary key (discountRangeID, REV)
    );

    create table sscAudManufacturer (
        class varchar2(255) not null,
        manufacturerID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        manufacturerID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        websiteURL varchar2(255),
        websiteURL_MOD boolean,
        description clob,
        description_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        header clob,
        header_MOD boolean,
        footer clob,
        footer_MOD boolean,
        smallImage varchar2(255),
        smallImage_MOD boolean,
        largeImage varchar2(255),
        largeImage_MOD boolean,
        isDropShipper boolean,
        isDropShipper_MOD boolean,
        address1 varchar2(255),
        address1_MOD boolean,
        address2 varchar2(255),
        address2_MOD boolean,
        city varchar2(100),
        city_MOD boolean,
        state varchar2(100),
        state_MOD boolean,
        postalCode varchar2(100),
        postalCode_MOD boolean,
        country varchar2(100),
        country_MOD boolean,
        phone varchar2(100),
        phone_MOD boolean,
        email varchar2(100),
        email_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        manufacturerOrder number(10,0),
        manufacturerOrder_MOD boolean,
        primary key (manufacturerID, REV)
    );

    create table sscAudOption (
        class varchar2(255) not null,
        optionID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        optionID_MOD boolean,
        attributeID number(10,0),
        attributeID_MOD boolean,
        optionCode varchar2(100),
        optionCode_MOD boolean,
        optionName varchar2(255),
        optionName_MOD boolean,
        optionDescription clob,
        optionDescription_MOD boolean,
        optionIsActive boolean,
        optionIsActive_MOD boolean,
        optionUnitCost double precision,
        optionUnitCost_MOD boolean,
        optionUnitPrice double precision,
        optionUnitPrice_MOD boolean,
        optionAltPrice double precision,
        optionAltPrice_MOD boolean,
        optionWeight double precision,
        optionWeight_MOD boolean,
        optionSmallImage varchar2(255),
        optionSmallImage_MOD boolean,
        optionLargeImage varchar2(255),
        optionLargeImage_MOD boolean,
        optionOrder number(10,0),
        optionOrder_MOD boolean,
        attribute_MOD boolean,
        primary key (optionID, REV)
    );

    create table sscAudOrder (
        class varchar2(255) not null,
        orderID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        orderID_MOD boolean,
        customerID number(10,0),
        customerID_MOD boolean,
        userName varchar2(100),
        userName_MOD boolean,
        orderNumber number(10,0),
        orderNumber_MOD boolean,
        trackingNumber varchar2(100),
        trackingNumber_MOD boolean,
        total double precision,
        total_MOD boolean,
        shipping double precision,
        shipping_MOD boolean,
        tax double precision,
        tax_MOD boolean,
        taxableSubtotal double precision,
        taxableSubtotal_MOD boolean,
        subtotal double precision,
        subtotal_MOD boolean,
        weight double precision,
        weight_MOD boolean,
        quantity number(10,0),
        quantity_MOD boolean,
        created varchar2(100),
        created_MOD boolean,
        lastModified varchar2(100),
        lastModified_MOD boolean,
        completed varchar2(100),
        completed_MOD boolean,
        autoSavedCartToken varchar2(255),
        autoSavedCartToken_MOD boolean,
        status varchar2(100),
        status_MOD boolean,
        statusDetails varchar2(255),
        statusDetails_MOD boolean,
        shippingMethod varchar2(255),
        shippingMethod_MOD boolean,
        firstName varchar2(100),
        firstName_MOD boolean,
        lastName varchar2(100),
        lastName_MOD boolean,
        organization varchar2(100),
        organization_MOD boolean,
        address1 varchar2(255),
        address1_MOD boolean,
        address2 varchar2(255),
        address2_MOD boolean,
        city varchar2(100),
        city_MOD boolean,
        state varchar2(100),
        state_MOD boolean,
        postalCode varchar2(100),
        postalCode_MOD boolean,
        country varchar2(100),
        country_MOD boolean,
        phone1 varchar2(100),
        phone1_MOD boolean,
        phone2 varchar2(100),
        phone2_MOD boolean,
        email1 varchar2(100),
        email1_MOD boolean,
        email2 varchar2(100),
        email2_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        extra4 varchar2(255),
        extra4_MOD boolean,
        extra5 varchar2(255),
        extra5_MOD boolean,
        notes clob,
        notes_MOD boolean,
        paymentProfileID varchar2(100),
        paymentProfileID_MOD boolean,
        customer_MOD boolean,
        orderDeliveryCollection_MOD boolean,
        payments_MOD boolean,
        orderDiscounts_MOD boolean,
        orderShippingRules_MOD boolean,
        orderSettings_MOD boolean,
        primary key (orderID, REV)
    );

    create table sscAudOrderDelivery (
        class varchar2(255) not null,
        orderDeliveryID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        orderDeliveryID_MOD boolean,
        orderID number(10,0),
        orderID_MOD boolean,
        trackingNumber varchar2(100),
        trackingNumber_MOD boolean,
        total double precision,
        total_MOD boolean,
        shipping double precision,
        shipping_MOD boolean,
        tax double precision,
        tax_MOD boolean,
        taxableSubtotal double precision,
        taxableSubtotal_MOD boolean,
        subtotal double precision,
        subtotal_MOD boolean,
        weight double precision,
        weight_MOD boolean,
        quantity number(10,0),
        quantity_MOD boolean,
        lastModified varchar2(100),
        lastModified_MOD boolean,
        delivered varchar2(100),
        delivered_MOD boolean,
        status varchar2(100),
        status_MOD boolean,
        statusDetails varchar2(255),
        statusDetails_MOD boolean,
        firstName varchar2(100),
        firstName_MOD boolean,
        lastName varchar2(100),
        lastName_MOD boolean,
        organization varchar2(100),
        organization_MOD boolean,
        address1 varchar2(255),
        address1_MOD boolean,
        address2 varchar2(255),
        address2_MOD boolean,
        city varchar2(100),
        city_MOD boolean,
        state varchar2(100),
        state_MOD boolean,
        postalCode varchar2(100),
        postalCode_MOD boolean,
        country varchar2(100),
        country_MOD boolean,
        phone1 varchar2(100),
        phone1_MOD boolean,
        phone2 varchar2(100),
        phone2_MOD boolean,
        email1 varchar2(100),
        email1_MOD boolean,
        email2 varchar2(100),
        email2_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        extra4 varchar2(255),
        extra4_MOD boolean,
        extra5 varchar2(255),
        extra5_MOD boolean,
        notes clob,
        notes_MOD boolean,
        order_MOD boolean,
        orderItemCollection_MOD boolean,
        primary key (orderDeliveryID, REV)
    );

    create table sscAudOrderDiscount (
        class varchar2(255) not null,
        orderDiscountID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        orderDiscountID_MOD boolean,
        orderID number(10,0),
        orderID_MOD boolean,
        orderItemID number(10,0),
        orderItemID_MOD boolean,
        total double precision,
        total_MOD boolean,
        discountID number(10,0),
        discountID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        usersAppliesType varchar2(32),
        usersAppliesType_MOD boolean,
        usersAppliesValue varchar2(255),
        usersAppliesValue_MOD boolean,
        itemsAppliesType varchar2(32),
        itemsAppliesType_MOD boolean,
        itemsAppliesValue varchar2(255),
        itemsAppliesValue_MOD boolean,
        cartItemsType varchar2(32),
        cartItemsType_MOD boolean,
        cartItemsValue varchar2(255),
        cartItemsValue_MOD boolean,
        rewardType varchar2(32),
        rewardType_MOD boolean,
        reward double precision,
        reward_MOD boolean,
        couponCode varchar2(64),
        couponCode_MOD boolean,
        floor double precision,
        floor_MOD boolean,
        ceiling double precision,
        ceiling_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        order_MOD boolean,
        orderItem_MOD boolean,
        primary key (orderDiscountID, REV)
    );

    create table sscAudOrderItem (
        class varchar2(255) not null,
        orderItemID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        orderItemID_MOD boolean,
        orderDeliveryID number(10,0),
        orderDeliveryID_MOD boolean,
        orderID number(10,0),
        orderID_MOD boolean,
        total double precision,
        total_MOD boolean,
        weight double precision,
        weight_MOD boolean,
        costTotal double precision,
        costTotal_MOD boolean,
        quantity number(10,0),
        quantity_MOD boolean,
        productID number(10,0),
        productID_MOD boolean,
        manufacturerID number(10,0),
        manufacturerID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        seoCode varchar2(255),
        seoCode_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        unitCost double precision,
        unitCost_MOD boolean,
        unitPrice double precision,
        unitPrice_MOD boolean,
        altPrice double precision,
        altPrice_MOD boolean,
        productWeight double precision,
        productWeight_MOD boolean,
        isTaxed boolean,
        isTaxed_MOD boolean,
        image varchar2(255),
        image_MOD boolean,
        shortDescription varchar2(255),
        shortDescription_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        extra4 varchar2(255),
        extra4_MOD boolean,
        extra5 varchar2(255),
        extra5_MOD boolean,
        decrementedSKUs clob,
        decrementedSKUs_MOD boolean,
        orderDelivery_MOD boolean,
        order_MOD boolean,
        orderItemAttributes_MOD boolean,
        primary key (orderItemID, REV)
    );

    create table sscAudOrderItemAttribute (
        class varchar2(255) not null,
        orderItemAttributeID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        orderItemAttributeID_MOD boolean,
        orderItemID number(10,0),
        orderItemID_MOD boolean,
        total double precision,
        total_MOD boolean,
        weight double precision,
        weight_MOD boolean,
        costTotal double precision,
        costTotal_MOD boolean,
        attributeValue clob,
        attributeValue_MOD boolean,
        attributeID number(10,0),
        attributeID_MOD boolean,
        attributeCode varchar2(100),
        attributeCode_MOD boolean,
        attributeName varchar2(255),
        attributeName_MOD boolean,
        attributeUnitCost double precision,
        attributeUnitCost_MOD boolean,
        attributeUnitPrice double precision,
        attributeUnitPrice_MOD boolean,
        attributeAltPrice double precision,
        attributeAltPrice_MOD boolean,
        attributeWeight double precision,
        attributeWeight_MOD boolean,
        attributeImage varchar2(255),
        attributeImage_MOD boolean,
        optionID number(10,0),
        optionID_MOD boolean,
        optionCode varchar2(100),
        optionCode_MOD boolean,
        optionName varchar2(255),
        optionName_MOD boolean,
        optionUnitCost double precision,
        optionUnitCost_MOD boolean,
        optionUnitPrice double precision,
        optionUnitPrice_MOD boolean,
        optionAltPrice double precision,
        optionAltPrice_MOD boolean,
        optionWeight double precision,
        optionWeight_MOD boolean,
        optionImage varchar2(255),
        optionImage_MOD boolean,
        orderItem_MOD boolean,
        primary key (orderItemAttributeID, REV)
    );

    create table sscAudOrderSetting (
        class varchar2(255) not null,
        orderSettingID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        orderSettingID_MOD boolean,
        orderID number(10,0),
        orderID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description varchar2(255),
        description_MOD boolean,
        type varchar2(100),
        type_MOD boolean,
        valueType varchar2(16),
        valueType_MOD boolean,
        integerValue number(10,0),
        integerValue_MOD boolean,
        smallValue varchar2(64),
        smallValue_MOD boolean,
        mediumValue varchar2(255),
        mediumValue_MOD boolean,
        textValue clob,
        textValue_MOD boolean,
        order_MOD boolean,
        primary key (orderSettingID, REV)
    );

    create table sscAudOrderShippingRule (
        class varchar2(255) not null,
        orderShippingRuleID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        orderShippingRuleID_MOD boolean,
        orderID number(10,0),
        orderID_MOD boolean,
        orderItemID number(10,0),
        orderItemID_MOD boolean,
        total double precision,
        total_MOD boolean,
        shippingRuleID number(10,0),
        shippingRuleID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        ruleType varchar2(32),
        ruleType_MOD boolean,
        floor double precision,
        floor_MOD boolean,
        ceiling double precision,
        ceiling_MOD boolean,
        discountType varchar2(32),
        discountType_MOD boolean,
        discount double precision,
        discount_MOD boolean,
        pkgDescription clob,
        pkgDescription_MOD boolean,
        pkgWeight double precision,
        pkgWeight_MOD boolean,
        pkgLength double precision,
        pkgLength_MOD boolean,
        pkgHeight double precision,
        pkgHeight_MOD boolean,
        pkgWidth double precision,
        pkgWidth_MOD boolean,
        limitMethods clob,
        limitMethods_MOD boolean,
        limitType varchar2(32),
        limitType_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        pkgExtra1 varchar2(255),
        pkgExtra1_MOD boolean,
        pkgExtra2 varchar2(255),
        pkgExtra2_MOD boolean,
        pkgExtra3 varchar2(255),
        pkgExtra3_MOD boolean,
        pkgExtra4 varchar2(255),
        pkgExtra4_MOD boolean,
        pkgExtra5 varchar2(255),
        pkgExtra5_MOD boolean,
        countries clob,
        countries_MOD boolean,
        states clob,
        states_MOD boolean,
        subtotal double precision,
        subtotal_MOD boolean,
        order_MOD boolean,
        orderItem_MOD boolean,
        primary key (orderShippingRuleID, REV)
    );

    create table sscAudPayment (
        class varchar2(255) not null,
        paymentID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        paymentID_MOD boolean,
        orderID number(10,0),
        orderID_MOD boolean,
        status varchar2(100),
        status_MOD boolean,
        processorClassName varchar2(255),
        processorClassName_MOD boolean,
        valueFieldLabels varchar2(255),
        valueFieldLabels_MOD boolean,
        creditCardName varchar2(64),
        creditCardName_MOD boolean,
        creditCardType varchar2(16),
        creditCardType_MOD boolean,
        creditCardDate varchar2(16),
        creditCardDate_MOD boolean,
        creditCardNumber varchar2(64),
        creditCardNumber_MOD boolean,
        creditCardNumberDisplay varchar2(32),
        creditCardNumberDisplay_MOD boolean,
        value1 varchar2(255),
        value1_MOD boolean,
        value2 varchar2(255),
        value2_MOD boolean,
        value3 varchar2(255),
        value3_MOD boolean,
        value4 varchar2(255),
        value4_MOD boolean,
        value5 varchar2(255),
        value5_MOD boolean,
        value6 varchar2(255),
        value6_MOD boolean,
        value7 varchar2(255),
        value7_MOD boolean,
        value8 varchar2(255),
        value8_MOD boolean,
        value9 clob,
        value9_MOD boolean,
        created varchar2(255),
        created_MOD boolean,
        amount double precision,
        amount_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        paymentProfileID varchar2(100),
        paymentProfileID_MOD boolean,
        order_MOD boolean,
        primary key (paymentID, REV)
    );

    create table sscAudProduct (
        class varchar2(255) not null,
        productID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        productID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        seoCode varchar2(255),
        seoCode_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description clob,
        description_MOD boolean,
        keywords varchar2(255),
        keywords_MOD boolean,
        shortDescription varchar2(255),
        shortDescription_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        isTaxed boolean,
        isTaxed_MOD boolean,
        unitCost double precision,
        unitCost_MOD boolean,
        unitPrice double precision,
        unitPrice_MOD boolean,
        altPrice double precision,
        altPrice_MOD boolean,
        weight double precision,
        weight_MOD boolean,
        header clob,
        header_MOD boolean,
        footer clob,
        footer_MOD boolean,
        smallImage varchar2(255),
        smallImage_MOD boolean,
        mediumImage varchar2(255),
        mediumImage_MOD boolean,
        largeImage varchar2(255),
        largeImage_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        extra4 varchar2(255),
        extra4_MOD boolean,
        extra5 varchar2(255),
        extra5_MOD boolean,
        created varchar2(100),
        created_MOD boolean,
        primaryCategoryID number(10,0),
        primaryCategoryID_MOD boolean,
        manufacturerID number(10,0),
        manufacturerID_MOD boolean,
        productOrder number(10,0),
        productOrder_MOD boolean,
        primaryCategory_MOD boolean,
        manufacturer_MOD boolean,
        productCategories_MOD boolean,
        productAttributes_MOD boolean,
        productSettings_MOD boolean,
        skus_MOD boolean,
        relatedProducts_MOD boolean,
        relatedProductsAdmin_MOD boolean,
        customerWishListProducts_MOD boolean,
        productReviews_MOD boolean,
        primary key (productID, REV)
    );

    create table sscAudProductAttribute (
        class varchar2(255) not null,
        productAttributeID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        productAttributeID_MOD boolean,
        productID number(10,0),
        productID_MOD boolean,
        attributeID number(10,0),
        attributeID_MOD boolean,
        productAttributeOrder number(10,0),
        productAttributeOrder_MOD boolean,
        product_MOD boolean,
        attribute_MOD boolean,
        primary key (productAttributeID, REV)
    );

    create table sscAudProductCategory (
        class varchar2(255) not null,
        productCategoryID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        productID number(10,0),
        productID_MOD boolean,
        productCategoryID_MOD boolean,
        categoryID number(10,0),
        categoryID_MOD boolean,
        productCategoryOrder number(10,0),
        productCategoryOrder_MOD boolean,
        product_MOD boolean,
        category_MOD boolean,
        primary key (productCategoryID, REV)
    );

    create table sscAudProductReview (
        class varchar2(255) not null,
        productReviewID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        productReviewID_MOD boolean,
        productID number(10,0),
        productID_MOD boolean,
        status number(10,0),
        status_MOD boolean,
        firstName varchar2(255),
        firstName_MOD boolean,
        lastName varchar2(255),
        lastName_MOD boolean,
        nickname varchar2(255),
        nickname_MOD boolean,
        email varchar2(255),
        email_MOD boolean,
        age varchar2(255),
        age_MOD boolean,
        city varchar2(255),
        city_MOD boolean,
        state varchar2(255),
        state_MOD boolean,
        review clob,
        review_MOD boolean,
        rating number(10,0),
        rating_MOD boolean,
        created varchar2(255),
        created_MOD boolean,
        imagePath varchar2(255),
        imagePath_MOD boolean,
        ipAddress varchar2(255),
        ipAddress_MOD boolean,
        country varchar2(255),
        country_MOD boolean,
        customerID number(10,0),
        customerID_MOD boolean,
        product_MOD boolean,
        customer_MOD boolean,
        primary key (productReviewID, REV)
    );

    create table sscAudProductSetting (
        class varchar2(255) not null,
        productSettingID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        productSettingID_MOD boolean,
        productID number(10,0),
        productID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description varchar2(255),
        description_MOD boolean,
        type varchar2(100),
        type_MOD boolean,
        valueType varchar2(16),
        valueType_MOD boolean,
        integerValue number(10,0),
        integerValue_MOD boolean,
        smallValue varchar2(64),
        smallValue_MOD boolean,
        mediumValue varchar2(255),
        mediumValue_MOD boolean,
        textValue clob,
        textValue_MOD boolean,
        product_MOD boolean,
        primary key (productSettingID, REV)
    );

    create table sscAudRelatedProduct (
        class varchar2(255) not null,
        relatedProductID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        relatedProductID_MOD boolean,
        parentProductID number(10,0),
        parentProductID_MOD boolean,
        productID number(10,0),
        productID_MOD boolean,
        relatedType varchar2(32),
        relatedType_MOD boolean,
        relatedProductOrder number(10,0),
        relatedProductOrder_MOD boolean,
        product_MOD boolean,
        parentProduct_MOD boolean,
        primary key (relatedProductID, REV)
    );

    create table sscAudRole (
        class varchar2(255) not null,
        roleID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        roleID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description varchar2(255),
        description_MOD boolean,
        administratorRoles_MOD boolean,
        primary key (roleID, REV)
    );

    create table sscAudSKU (
        class varchar2(255) not null,
        skuID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        skuID_MOD boolean,
        productID number(10,0),
        productID_MOD boolean,
        attributeID1 number(10,0),
        attributeID1_MOD boolean,
        optionID1 number(10,0),
        optionID1_MOD boolean,
        attributeID2 number(10,0),
        attributeID2_MOD boolean,
        optionID2 number(10,0),
        optionID2_MOD boolean,
        attributeID3 number(10,0),
        attributeID3_MOD boolean,
        optionID3 number(10,0),
        optionID3_MOD boolean,
        attributeID4 number(10,0),
        attributeID4_MOD boolean,
        optionID4 number(10,0),
        optionID4_MOD boolean,
        attributeID5 number(10,0),
        attributeID5_MOD boolean,
        optionID5 number(10,0),
        optionID5_MOD boolean,
        skuNumber varchar2(128),
        skuNumber_MOD boolean,
        skuName varchar2(255),
        skuName_MOD boolean,
        skuMessage varchar2(255),
        skuMessage_MOD boolean,
        trackInventory boolean,
        trackInventory_MOD boolean,
        inventoryLevel number(10,0),
        inventoryLevel_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        notes clob,
        notes_MOD boolean,
        product_MOD boolean,
        skuDiscounts_MOD boolean,
        skuShippingRules_MOD boolean,
        primary key (skuID, REV)
    );

    create table sscAudSKUDiscount (
        class varchar2(255) not null,
        skuDiscountID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        skuDiscountID_MOD boolean,
        discountID number(10,0),
        discountID_MOD boolean,
        skuID number(10,0),
        skuID_MOD boolean,
        sku_MOD boolean,
        discount_MOD boolean,
        primary key (skuDiscountID, REV)
    );

    create table sscAudSKUShippingRule (
        class varchar2(255) not null,
        skuShippingRuleID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        skuShippingRuleID_MOD boolean,
        shippingRuleID number(10,0),
        shippingRuleID_MOD boolean,
        skuID number(10,0),
        skuID_MOD boolean,
        sku_MOD boolean,
        shippingRule_MOD boolean,
        primary key (skuShippingRuleID, REV)
    );

    create table sscAudSetting (
        class varchar2(255) not null,
        settingID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        settingID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description clob,
        description_MOD boolean,
        type varchar2(100),
        type_MOD boolean,
        valueType varchar2(16),
        valueType_MOD boolean,
        integerValue number(10,0),
        integerValue_MOD boolean,
        smallValue varchar2(64),
        smallValue_MOD boolean,
        mediumValue varchar2(255),
        mediumValue_MOD boolean,
        textValue clob,
        textValue_MOD boolean,
        primary key (settingID, REV)
    );

    create table sscAudShippingMethod (
        class varchar2(255) not null,
        shippingMethodID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        shippingMethodID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        minimum double precision,
        minimum_MOD boolean,
        base double precision,
        base_MOD boolean,
        methodType varchar2(255),
        methodType_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        numberDaysToShip number(10,0),
        numberDaysToShip_MOD boolean,
        methodOrder number(10,0),
        methodOrder_MOD boolean,
        shippingRates_MOD boolean,
        primary key (shippingMethodID, REV)
    );
    
    ALTER TABLE sscAudShippingMethod ADD isPickUp boolean;
	ALTER TABLE sscAudShippingMethod ADD isPickUp_MOD boolean;
	ALTER TABLE sscAudShippingMethod ADD organization varchar2(100);
	ALTER TABLE sscAudShippingMethod ADD organization_MOD boolean;
	ALTER TABLE sscAudShippingMethod ADD address1 varchar2(255);
	ALTER TABLE sscAudShippingMethod ADD address1_MOD boolean;
	ALTER TABLE sscAudShippingMethod ADD address2 varchar2(255);
	ALTER TABLE sscAudShippingMethod ADD address2_MOD boolean;
	ALTER TABLE sscAudShippingMethod ADD city varchar2(100);
	ALTER TABLE sscAudShippingMethod ADD city_MOD boolean;
	ALTER TABLE sscAudShippingMethod ADD state varchar2(100);
	ALTER TABLE sscAudShippingMethod ADD state_MOD boolean;
	ALTER TABLE sscAudShippingMethod ADD postalCode varchar2(100);
	ALTER TABLE sscAudShippingMethod ADD postalCode_MOD boolean;
	ALTER TABLE sscAudShippingMethod ADD country varchar2(100);
	ALTER TABLE sscAudShippingMethod ADD country_MOD boolean;

    create table sscAudShippingRate (
        class varchar2(255) not null,
        shippingRateID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        shippingRateID_MOD boolean,
        shippingMethodID number(10,0),
        shippingMethodID_MOD boolean,
        floor double precision,
        floor_MOD boolean,
        ceiling double precision,
        ceiling_MOD boolean,
        amount double precision,
        amount_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        shippingMethod_MOD boolean,
        primary key (shippingRateID, REV)
    );

    create table sscAudShippingRule (
        class varchar2(255) not null,
        shippingRuleID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        shippingRuleID_MOD boolean,
        code varchar2(100),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        description clob,
        description_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        ruleType varchar2(32),
        ruleType_MOD boolean,
        ruleOrder number(10,0),
        ruleOrder_MOD boolean,
        extra1 varchar2(255),
        extra1_MOD boolean,
        extra2 varchar2(255),
        extra2_MOD boolean,
        extra3 varchar2(255),
        extra3_MOD boolean,
        skuShippingRules_MOD boolean,
        shippingRuleRanges_MOD boolean,
        primary key (shippingRuleID, REV)
    );

    create table sscAudShippingRuleRange (
        class varchar2(255) not null,
        shippingRuleRangeID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        shippingRuleRangeID_MOD boolean,
        shippingRuleID number(10,0),
        shippingRuleID_MOD boolean,
        floor double precision,
        floor_MOD boolean,
        ceiling double precision,
        ceiling_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        discountType varchar2(32),
        discountType_MOD boolean,
        discount double precision,
        discount_MOD boolean,
        pkgDescription clob,
        pkgDescription_MOD boolean,
        pkgWeight double precision,
        pkgWeight_MOD boolean,
        pkgLength double precision,
        pkgLength_MOD boolean,
        pkgHeight double precision,
        pkgHeight_MOD boolean,
        pkgWidth double precision,
        pkgWidth_MOD boolean,
        pkgExtra1 varchar2(255),
        pkgExtra1_MOD boolean,
        pkgExtra2 varchar2(255),
        pkgExtra2_MOD boolean,
        pkgExtra3 varchar2(255),
        pkgExtra3_MOD boolean,
        pkgExtra4 varchar2(255),
        pkgExtra4_MOD boolean,
        pkgExtra5 varchar2(255),
        pkgExtra5_MOD boolean,
        countries clob,
        countries_MOD boolean,
        states clob,
        states_MOD boolean,
        limitMethods clob,
        limitMethods_MOD boolean,
        limitType varchar2(32),
        limitType_MOD boolean,
        shippingRule_MOD boolean,
        primary key (shippingRuleRangeID, REV)
    );

    create table sscAudState (
        class varchar2(255) not null,
        stateID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        countryID number(10,0),
        countryID_MOD boolean,
        code varchar2(255),
        code_MOD boolean,
        name varchar2(255),
        name_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        stateOrder number(10,0),
        stateOrder_MOD boolean,
        country_MOD boolean,
        primary key (stateID, REV)
    );

    create table sscAudTemplate (
        class varchar2(255) not null,
        templateID number(10,0) not null,
        REV number(10,0) not null,
        REVTYPE number(3,0),
        REVEND number(10,0),
        REVEND_TSTMP date,
        templateID_MOD boolean,
        code varchar2(255),
        code_MOD boolean,
        type varchar2(50),
        type_MOD boolean,
        subject varchar2(255),
        subject_MOD boolean,
        description clob,
        description_MOD boolean,
        bodyHtml clob,
        bodyHtml_MOD boolean,
        bodyText clob,
        bodyText_MOD boolean,
        isActive boolean,
        isActive_MOD boolean,
        primary key (templateID, REV)
    );

    create table sscREVCHANGES (
        REV number(10,0) not null,
        ENTITYNAME varchar2(255)
    );

    create table sscREVINFO (
        id number(10,0) not null,
        timestamp number(19,0) not null,
        requestLogID number(10,0),
        primary key (id)
    );

    alter table sscAudAdministrator 
        add constraint FK_qf26w6mvb4er9nm9h0ijxcgk8 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudAdministrator 
        add constraint FK_pwk2s1m2u0ket5hi61tuvs8wt 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudAdministratorRole 
        add constraint FK_bjywkpiwe0ds6mvw07pp9o13v 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudAdministratorRole 
        add constraint FK_8ujh0mu478n5q7lxjmngt0cvh 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudAttribute 
        add constraint FK_7p3d0x0xkpp9fy75v219khggj 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudAttribute 
        add constraint FK_a3tppage8iqf35oh24bk27hjx 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudBasicTaxRate 
        add constraint FK_92k3gcqwk9xsr6ie9piyw3tht 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudBasicTaxRate 
        add constraint FK_6rk8e5k6cdmgw1xs46g9ui1pg 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudCategory 
        add constraint FK_cp00hopbhl571kd3t38mr7jgv 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudCategory 
        add constraint FK_r3auos8o8e3owqapelss5f0wd 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudCategorySetting 
        add constraint FK_k6rddj0rae0k7vas8vhuh80xn 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudCategorySetting 
        add constraint FK_o20uwtp32o98sk1c64hoo6296 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudCountry 
        add constraint FK_kn9nucbsqd0r8seb8ix7rjkqv 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudCountry 
        add constraint FK_s31jh9hqvxgh807w64ab6vnoa 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudCustomer 
        add constraint FK_3dxdd5kk3bp9xtmpue2ytj4ga 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudCustomer 
        add constraint FK_2g9xriyf4mjxd3py5krhmibnu 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudCustomerAddress 
        add constraint FK_7s5169bvlyiy1ame9rhcv9ram 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudCustomerAddress 
        add constraint FK_i8g57a4v7fqsnukouhf0c7thd 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudCustomerWishList 
        add constraint FK_lli05s9ia3u5bd2ymydit56cj 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudCustomerWishList 
        add constraint FK_rqnv0x34d04wjrgfe009l1m9p 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudCustomerWishListProduct 
        add constraint FK_fy1umwng57dpir3sg6nh7tc9y 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudCustomerWishListProduct 
        add constraint FK_38oaoeak26esuqlj02korc2r3 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudDiscount 
        add constraint FK_oj2gkq1ebxb8ixwd6wdx1ekg1 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudDiscount 
        add constraint FK_fhbwkq8jc2oxmd4xei6ceikrq 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudDiscountRange 
        add constraint FK_lw03jclr3nm73pcpjrf7urexp 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudDiscountRange 
        add constraint FK_n97bnj3mocqu9x1iasv0ye04q 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudManufacturer 
        add constraint FK_7qimp2s2ixho4egi1y1f5wiju 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudManufacturer 
        add constraint FK_j9kjgfk7iyy791n67vjge220y 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOption 
        add constraint FK_sdwmoyeulmhrd0f92m7tqqphj 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOption 
        add constraint FK_dvqonfmk5onhltepvaeqmh4yn 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOrder 
        add constraint FK_38xgcfkfx9yiulniq0psfvcu6 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOrder 
        add constraint FK_jq4sdguvsie9kuhvfps90g034 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOrderDelivery 
        add constraint FK_50d54rbvvbpdgqu3y69k7r4kx 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOrderDelivery 
        add constraint FK_eq52n35pehd9dyirnfi3okpcm 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOrderDiscount 
        add constraint FK_os43lv28avscd4ir204hnxupv 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOrderDiscount 
        add constraint FK_1uq6h9rb5895676csgbfnv5eg 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOrderItem 
        add constraint FK_ch5se7s8tyeiuy67wb8e0as7h 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOrderItem 
        add constraint FK_8g44pi8tlaaj4kxnuollkaaie 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOrderItemAttribute 
        add constraint FK_t9wwdrcxaslc1fx485tk7is2f 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOrderItemAttribute 
        add constraint FK_2d8ihggtac6vwlc1bdukpily1 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOrderSetting 
        add constraint FK_qog310dyk8jvqniq48ggxmyxb 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOrderSetting 
        add constraint FK_aijrvmr8rex999tqjcgj52pox 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudOrderShippingRule 
        add constraint FK_ro8wjf10elcm3fdj468jysty2 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudOrderShippingRule 
        add constraint FK_kigjjmyxff5ob6v9bns7l7m8h 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudPayment 
        add constraint FK_clyds030aulaqa707v9l00h7l 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudPayment 
        add constraint FK_q58gvo7ogg2st84geijpsxgmh 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudProduct 
        add constraint FK_heqv88anyvm8emmgknc4c0emf 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudProduct 
        add constraint FK_ohlmswk952bht39chj06ew9y0 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudProductAttribute 
        add constraint FK_ltukuhhhvxvkqgchb87d6m8bf 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudProductAttribute 
        add constraint FK_2si3hdvca2jmypihgpxjwj39k 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudProductCategory 
        add constraint FK_9q0adp1vi35u21l0bk8jw7l09 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudProductCategory 
        add constraint FK_ee67poeaex86l8nyhqrr00qh8 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudProductReview 
        add constraint FK_kl9v7ablv5c0l6bysg8hf1rm2 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudProductReview 
        add constraint FK_h98qcbjfna9xamunnrd1cg9tk 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudProductSetting 
        add constraint FK_gaqiskbmwdss26ufkuish94xs 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudProductSetting 
        add constraint FK_g32x3g2tn4gndqh3hk0gvl9t2 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudRelatedProduct 
        add constraint FK_8q8fc4qa3vn7slbgpt91aewu 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudRelatedProduct 
        add constraint FK_lhstusiy242628rp9afj7f4sn 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudRole 
        add constraint FK_30d6awakqgxd6r4lhd9xmq4kb 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudRole 
        add constraint FK_lwnbjcs28a677nxjsxw7wh5c6 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudSKU 
        add constraint FK_fnayydajola7wj9ayq0njacpj 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudSKU 
        add constraint FK_aluhuss3wobbo0qxxfcphnda 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudSKUDiscount 
        add constraint FK_e7563m96j2nvog47fohktdg2t 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudSKUDiscount 
        add constraint FK_6qv230bwcn3vlm9uepvs3aexa 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudSKUShippingRule 
        add constraint FK_90069u8571lstw91m0ubk7htd 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudSKUShippingRule 
        add constraint FK_m1keayw97quhlm3nbc9yqxjwp 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudSetting 
        add constraint FK_puhm6lkfifa8go9eu336v6uny 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudSetting 
        add constraint FK_s6djen7h3uh5g16bxev4pbi0h 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudShippingMethod 
        add constraint FK_pv9pbhv76pbdp82i5qlc533y4 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudShippingMethod 
        add constraint FK_pn52ey7oqk7ph4u4240789rlf 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudShippingRate 
        add constraint FK_s7epg3ajtsdkuetmu35m6d0tf 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudShippingRate 
        add constraint FK_io3fscusn1cdp4bkh0vx5iexg 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudShippingRule 
        add constraint FK_pdaing4rtjqtab72w7qh7ux62 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudShippingRule 
        add constraint FK_q94m8ppdxn84fu3wisdr0ye69 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudShippingRuleRange 
        add constraint FK_iaybvsgvpavp1w640x5c92gdr 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudShippingRuleRange 
        add constraint FK_cxee2pr146ajcyo7cqxe1sv71 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudState 
        add constraint FK_lygwef1ad5w6pj2hgocfalojj 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudState 
        add constraint FK_pxr87tr8iyvuc24ndlayy7lg1 
        foreign key (REVEND) 
        references sscREVINFO;

    alter table sscAudTemplate 
        add constraint FK_6dnidxbtpqt67j4lt9rjhumuc 
        foreign key (REV) 
        references sscREVINFO;

    alter table sscAudTemplate 
        add constraint FK_8jftgp4pwjbsfoi5fwo323ygh 
        foreign key (REVEND) 
        references sscREVINFO;


    alter table sscREVCHANGES 
        add constraint FK_fimwlx1yqgyvgrjh9bm8fmdq1 
        foreign key (REV) 
        references sscREVINFO;

