CREATE TABLE sscBasicTaxRate (
  basicTaxRateID INT IDENTITY NOT NULL,
  countryID INT DEFAULT NULL,
  stateID INT DEFAULT NULL,
  city VARCHAR(100) DEFAULT NULL,
  postalCode VARCHAR(100) DEFAULT NULL,
  rate DECIMAL(10,4) NOT NULL DEFAULT '0',
  isActive BIT NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.tax.BasicTaxRateBean',
  CONSTRAINT basicTaxRateID PRIMARY KEY CLUSTERED 
  ( basicTaxRateID ) ON [PRIMARY],
  CONSTRAINT FK_country_basicTaxRate FOREIGN KEY (
	countryID
  ) REFERENCES sscCountry (
	countryID
  ) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT FK_state_basicTaxRate FOREIGN KEY (
	stateID
  ) REFERENCES sscState (
	stateID
  ) ON DELETE NO ACTION
);

CREATE INDEX IDX_sscBasicTaxRate_city ON sscBasicTaxRate (city);
CREATE INDEX IDX_sscBasicTaxRate_postalCode ON sscBasicTaxRate (postalCode);
