<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="java.beans.PropertyDescriptor,org.apache.commons.beanutils.PropertyUtils,java.util.Arrays,java.util.Collection" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.product.Product,com.softslate.commerce.businessobjects.product.Attribute,com.softslate.commerce.businessobjects.product.Category,com.softslate.commerce.businessobjects.product.Manufacturer" %>

<!-- Start settingsAdvancedSearch.jsp -->
<% BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory"); %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<div class="instructions">
	Use these settings to activate advanced search capabilities using Lucene.
</div>

<br/>

<html:form action="/SettingsProcessAdvancedSearch" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<logic:match name="settingRow" property="type" value="LUCENE">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<c:when test="${settingRow.code eq 'luceneAnalyzer'}">
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="luceneAnalyzer">
									<option value="Standard" <logic:match name="setting" property="smallValue" value="Standard">selected="selected"</logic:match>>Standard</option>
									<option value="Snowball" <logic:match name="setting" property="smallValue" value="Snowball">selected="selected"</logic:match>>Snowball</option>
								</select>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'advancedSearchMatchStyle'}">
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="advancedSearchMatchStyle">
									<option value="exactMatch" <logic:match name="setting" property="smallValue" value="exactMatch">selected="selected"</logic:match>>Exact Match (wraps each search in double quotes)</option>
									<option value="allTerms" <logic:match name="setting" property="smallValue" value="allTerms">selected="selected"</logic:match>>All Terms (uses AND operator between terms)</option>
									<option value="allTermsFuzzy" <logic:match name="setting" property="smallValue" value="allTermsFuzzy">selected="selected"</logic:match>>All Terms - Fuzzy (AND operator and tilde appended to each term)</option>
									<option value="allTermsWildcard" <logic:match name="setting" property="smallValue" value="allTermsWildcard">selected="selected"</logic:match>>All Terms - Wildcards (AND operator and asterisk appended to each term)</option>
									<option value="anyTerm" <logic:match name="setting" property="smallValue" value="anyTerm">selected="selected"</logic:match>>Any Term (OR operator - this is Lucene's default)</option>
									<option value="anyTermFuzzy" <logic:match name="setting" property="smallValue" value="anyTermFuzzy">selected="selected"</logic:match>>Any Term - Fuzzy (OR operator and tilde appended to each term)</option>
									<option value="anyTermWildcard" <logic:match name="setting" property="smallValue" value="anyTermWildcard">selected="selected"</logic:match>>Any Term - Wildcards (OR operator and asterisk appended to each term)</option>
								</select>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'advancedSearchSuggestionsMatchStyle'}">
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="advancedSearchSuggestionsMatchStyle">
									<option value="prefixWildcard" <logic:match name="setting" property="smallValue" value="prefixWildcard">selected="selected"</logic:match>>Prefix Wildcard (default - matches on the first letters of the name)</option>
									<option value="exactMatch" <logic:match name="setting" property="smallValue" value="exactMatch">selected="selected"</logic:match>>Exact Match (wraps each search in double quotes)</option>
									<option value="allTerms" <logic:match name="setting" property="smallValue" value="allTerms">selected="selected"</logic:match>>All Terms (uses AND operator between terms)</option>
									<option value="allTermsFuzzy" <logic:match name="setting" property="smallValue" value="allTermsFuzzy">selected="selected"</logic:match>>All Terms - Fuzzy (AND operator and tilde appended to each term)</option>
									<option value="allTermsWildcard" <logic:match name="setting" property="smallValue" value="allTermsWildcard">selected="selected"</logic:match>>All Terms - Wildcards (AND operator and asterisk appended to each term)</option>
									<option value="anyTerm" <logic:match name="setting" property="smallValue" value="anyTerm">selected="selected"</logic:match>>Any Term (OR operator - this is Lucene's default)</option>
									<option value="anyTermFuzzy" <logic:match name="setting" property="smallValue" value="anyTermFuzzy">selected="selected"</logic:match>>Any Term - Fuzzy (OR operator and tilde appended to each term)</option>
									<option value="anyTermWildcard" <logic:match name="setting" property="smallValue" value="anyTermWildcard">selected="selected"</logic:match>>Any Term - Wildcards (OR operator and asterisk appended to each term)</option>
								</select>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'advancedSearchProductFieldsToIndex'}">
						<c:set var="advancedSearchProductFieldsToIndex" value="${settings.map.advancedSearchProductFieldsToIndex}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<%
								String advancedSearchProductFieldsToIndex = (String) pageContext.getAttribute("advancedSearchProductFieldsToIndex");
								Collection fieldsToIndex = Arrays.asList(advancedSearchProductFieldsToIndex.split(","));
								Product object = bof.createObject(Product.class);
								PropertyDescriptor descriptors[] = PropertyUtils.getPropertyDescriptors(object);
								if (null != descriptors && descriptors.length > 0) {
									for (int i = 0; i < descriptors.length; i++) {
										Class pType = descriptors[i].getPropertyType();
										if (pType != null && pType.getName().equals("java.lang.String")
												&& !descriptors[i].getName().equals("header") && !descriptors[i].getName().equals("footer")
												&& !descriptors[i].getName().contains("Image")) {
								%>
									<% if (fieldsToIndex.contains(descriptors[i].getName())) { %>
										<input class="advancedSearchProductFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchProductFieldsToIndexArray" value="<%= descriptors[i].getName() %>" checked="checked"><%= descriptors[i].getName() %></input>
									<% } else { %>
										<input class="advancedSearchProductFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchProductFieldsToIndexArray" value="<%= descriptors[i].getName() %>"><%= descriptors[i].getName() %></input>&nbsp;
									<% } %>
								<%
										}
									}
								}
								%>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'advancedSearchAttributeFieldsToIndex'}">
						<c:set var="advancedSearchAttributeFieldsToIndex" value="${settings.map.advancedSearchAttributeFieldsToIndex}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<%
								String advancedSearchAttributeFieldsToIndex = (String) pageContext.getAttribute("advancedSearchAttributeFieldsToIndex");
								Collection fieldsToIndex = Arrays.asList(advancedSearchAttributeFieldsToIndex.split(","));
								Attribute object = bof.createObject(Attribute.class);
								PropertyDescriptor descriptors[] = PropertyUtils.getPropertyDescriptors(object);
								if (null != descriptors && descriptors.length > 0) {
									for (int i = 0; i < descriptors.length; i++) {
										Class pType = descriptors[i].getPropertyType();
										if (pType != null && pType.getName().equals("java.lang.String")
												&& !descriptors[i].getName().equals("header") && !descriptors[i].getName().equals("footer")
												&& !descriptors[i].getName().contains("Image")) {
								%>
									<% if (fieldsToIndex.contains(descriptors[i].getName())) { %>
										<input class="advancedSearchAttributeFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchAttributeFieldsToIndexArray" value="<%= descriptors[i].getName() %>" checked="checked"><%= descriptors[i].getName() %></input>
									<% } else { %>
										<input class="advancedSearchAttributeFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchAttributeFieldsToIndexArray" value="<%= descriptors[i].getName() %>"><%= descriptors[i].getName() %></input>&nbsp;
									<% } %>
								<%
										}
									}
								}
								%>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'advancedSearchCategoryFieldsToIndex'}">
						<c:set var="advancedSearchCategoryFieldsToIndex" value="${settings.map.advancedSearchCategoryFieldsToIndex}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<%
								String advancedSearchCategoryFieldsToIndex = (String) pageContext.getAttribute("advancedSearchCategoryFieldsToIndex");
								Collection fieldsToIndex = Arrays.asList(advancedSearchCategoryFieldsToIndex.split(","));
								Category object = bof.createObject(Category.class);
								PropertyDescriptor descriptors[] = PropertyUtils.getPropertyDescriptors(object);
								if (null != descriptors && descriptors.length > 0) {
									for (int i = 0; i < descriptors.length; i++) {
										Class pType = descriptors[i].getPropertyType();
										if (pType != null && pType.getName().equals("java.lang.String")
												&& !descriptors[i].getName().equals("header") && !descriptors[i].getName().equals("footer")
												&& !descriptors[i].getName().contains("Image")) {
								%>
									<% if (fieldsToIndex.contains(descriptors[i].getName())) { %>
										<input class="advancedSearchCategoryFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchCategoryFieldsToIndexArray" value="<%= descriptors[i].getName() %>" checked="checked"><%= descriptors[i].getName() %></input>
									<% } else { %>
										<input class="advancedSearchCategoryFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchCategoryFieldsToIndexArray" value="<%= descriptors[i].getName() %>"><%= descriptors[i].getName() %></input>&nbsp;
									<% } %>
								<%
										}
									}
								}
								%>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'advancedSearchManufacturerFieldsToIndex'}">
						<c:set var="advancedSearchManufacturerFieldsToIndex" value="${settings.map.advancedSearchManufacturerFieldsToIndex}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<%
								String advancedSearchManufacturerFieldsToIndex = (String) pageContext.getAttribute("advancedSearchManufacturerFieldsToIndex");
								Collection fieldsToIndex = Arrays.asList(advancedSearchManufacturerFieldsToIndex.split(","));
								Manufacturer object = bof.createObject(Manufacturer.class);
								PropertyDescriptor descriptors[] = PropertyUtils.getPropertyDescriptors(object);
								if (null != descriptors && descriptors.length > 0) {
									for (int i = 0; i < descriptors.length; i++) {
										Class pType = descriptors[i].getPropertyType();
										if (pType != null && pType.getName().equals("java.lang.String")
												&& !descriptors[i].getName().equals("header") && !descriptors[i].getName().equals("footer")
												&& !descriptors[i].getName().contains("Image")) {
								%>
									<% if (fieldsToIndex.contains(descriptors[i].getName())) { %>
										<input class="advancedSearchManufacturerFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchManufacturerFieldsToIndexArray" value="<%= descriptors[i].getName() %>" checked="checked"><%= descriptors[i].getName() %></input>
									<% } else { %>
										<input class="advancedSearchManufacturerFieldsToIndex" style="margin: 4px;" type="checkbox" name="advancedSearchManufacturerFieldsToIndexArray" value="<%= descriptors[i].getName() %>"><%= descriptors[i].getName() %></input>&nbsp;
									<% } %>
								<%
										}
									}
								}
								%>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsAdvancedSearchEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Find Out More About Advanced Search">
				<p>For more details about using Advanced Search, please visit the 
				<a href="http://www.softslate.com/documentation/html/advancedSearchWithLucene.html">Advanced Search With Lucene section</a> of the User Guide.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsAdvancedSearch.jsp -->
