<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsContactForm.jsp -->
<c:set var="administratorURL" value="${settings.map.administratorURL}" />
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<div class="instructions">
	When a user submits the store's contact form, an email is constructed that includes all the values the user submitted.
	Use this form to define settings for the contact form. Click here to <html:link href="${secureURL}/Contact.do">visit the store's Contact Page</html:link>.
</div>

<br/>
<html:form action="/SettingsProcessContactForm" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<logic:match name="settingRow" property="type" value="CONTACTFORM">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsContactFormEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Display a Link to the Contact Page">
				<p>The URL for the store's built-in contact page is /Contact.do. 
				You can configure the store to display a link to the Contact Page in the global header and/or footer from the 
				<a href="SettingsHeaderSidePanel.do">Header, Side Panel and Welcome Settings screen</a>.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsContactForm.jsp -->
