<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start incompleteOrders.jsp -->
<div class="instructions">
	<p>
		Each time a visitor adds an item to his or her cart, an incomplete order is created. If the
		customer abandons his or her order the incomplete order will stay in the database. It is a good
		idea to delete old incomplete orders periodically to clean up the data records.
	</p>
	<p>
		<strong>Note:</strong> If you are tracking inventory and inventory is set to decrement as
		customers add items to the cart, running this form will add the quantities in the incomplete
		orders back to the inventory levels of the SKUs that were decremented.
	</p>
	<p>
		Following is a summary of the incomplete orders currently in the database. Use the form below
		to clean them from the system.
	</p>
</div>

<br/>

<table class="chart">
	<tr>
		<th>&nbsp;</th>
		<th><bean:message key="administrator.numberOfOrders" bundle="/administrator/administrator" /></th>
		<th><bean:message key="administrator.numberOfProducts" bundle="/administrator/administrator" /></th>
		<th><bean:message key="administrator.totalRevenue" bundle="/administrator/administrator" /></th>
	</tr>
	<logic:iterate name="statistics" id="stat" indexId="i">
		<tr>
			<td>
				<logic:equal name="i" value="0">
					<bean:message key="administrator.activeSessions" bundle="/administrator/administrator" />
				</logic:equal>
				<logic:equal name="i" value="1">
					<bean:message key="administrator.last24Hours" bundle="/administrator/administrator" />
				</logic:equal>
				<logic:equal name="i" value="2">
					<bean:message key="administrator.last7Days" bundle="/administrator/administrator" />
				</logic:equal>
				<logic:equal name="i" value="3">
					<bean:message key="administrator.last30Days" bundle="/administrator/administrator" />
				</logic:equal>
				<logic:equal name="i" value="4">
					<bean:message key="administrator.allTime" bundle="/administrator/administrator" />
				</logic:equal>
			</td>
			<td align="right">
				<bean:write name="stat" property="numberOfOrders" />
			</td>
			<td align="right">
				<bean:write name="stat" property="numberOfProducts" />
			</td>
			<td align="right">
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
					<bean:write name="stat" property="totalRevenue" />
				</fmt:formatNumber>
			</td>
		</tr>
	</logic:iterate>
</table>
	
<html:form action="/IncompleteOrdersProcess" method="post">
	<div id="incompleteOrdersFormElements">
		<bean:message key="maintenance.incompleteOrdersPrompt1" bundle="/order" />:
		<html:text size="4" name="incompleteOrdersForm" property="olderThanDays" />
		<bean:message key="maintenance.incompleteOrdersPrompt2" bundle="/order" />
		<html:text size="4" name="incompleteOrdersForm" property="olderThanHours" />
		<bean:message key="maintenance.incompleteOrdersPrompt3" bundle="/order" />
	</div>

	<logic:equal name="editPermission" value="true">
					<div class="saveSettings">
			<input type="submit" class="button" name="incompleteOrdersSubmit"
				value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<!-- End incompleteOrders.jsp -->
