<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define how your store connects to the Paypoint payment gateway to process credit cards.
</div>

<br/>

<html:form action="/SettingsProcessPaypoint" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="PAYPOINT">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'paypointParameters'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<textarea style="width: auto;" cols="65" rows="8" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>"><c:out value="${setting.textValue}"/></textarea>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypointTestStatus'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypointTestStatus">
									<option value="live" <logic:match name="setting" property="smallValue" value="live">selected="selected"</logic:match>>Live Transactions</option>
									<option value="true" <logic:match name="setting" property="smallValue" value="true">selected="selected"</logic:match>>Simulated Authorise</option>
									<option value="false" <logic:match name="setting" property="smallValue" value="false">selected="selected"</logic:match>>Simulated Decline</option>
								</select>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypointMailOption'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypointMailOption">
									<option value="true" <logic:match name="setting" property="smallValue" value="true">selected="selected"</logic:match>>Email to billing email</option>
									<option value="ship" <logic:match name="setting" property="smallValue" value="ship">selected="selected"</logic:match>>Email to shipping email</option>
									<option value="bill" <logic:match name="setting" property="smallValue" value="bill">selected="selected"</logic:match>>Email to billing email</option>
									<option value="false" <logic:match name="setting" property="smallValue" value="false">selected="selected"</logic:match>>Do not send email</option>
								</select>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypointShowBack'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypointShowBack">
									<option value="" <logic:match name="setting" property="smallValue" value="">selected="selected"</logic:match>>N/A</option>
									<option value="submit" <logic:match name="setting" property="smallValue" value="submit">selected="selected"</logic:match>>submit</option>
								</select>
								<div class="settingDescription"><bean:write name="setting" property="description"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypointDeferred'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypointDeferred">
									<option value="true" <logic:match name="setting" property="smallValue" value="true">selected="selected"</logic:match>>Authorise 1 Unit of Currency</option>
									<option value="reuse" <logic:match name="setting" property="smallValue" value="reuse">selected="selected"</logic:match>>Authorise Full Amount (release - reuse auth code)</option>
									<option value="full" <logic:match name="setting" property="smallValue" value="full">selected="selected"</logic:match>>Authorise Full Amount (release - new auth code</option>
								</select>
								<div class="settingDescription"><bean:write name="setting" property="description"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypointDeferred'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypointDeferred">
									<option value="true" <logic:match name="setting" property="smallValue" value="true">selected="selected"</logic:match>>Authorise 1 Unit of Currency</option>
									<option value="reuse" <logic:match name="setting" property="smallValue" value="reuse">selected="selected"</logic:match>>Authorise Full Amount (release - reuse auth code)</option>
									<option value="full" <logic:match name="setting" property="smallValue" value="full">selected="selected"</logic:match>>Authorise Full Amount (release - new auth code</option>
								</select>
								<div class="settingDescription"><bean:write name="setting" property="description"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypointCallback'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
					</c:when>
					<c:when test="${setting.code eq 'paypointBackCallback'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting">Callback URL:</td>
			<td class="value">
				<strong><c:out value="${settings.map.customerSecureURL}"/>/Paypoint.do</strong>
				<input type="hidden" name="paypointCallback" value="<c:out value="${settings.map.customerSecureURL}"/>/Paypoint.do"/>
				<br/>
				The location on our server paypoint is required to call when authorisation is completed.
			</td>
		</tr>
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting">Back Callback URL:</td>
			<td class="value">
				<strong><c:out value="${settings.map.customerURL}"/>/Cart.do</strong>
				<input type="hidden" name="paypointBackCallback" value="<c:out value="${settings.map.customerURL}"/>/Cart.do"/>
				<br/>
				The URL the user can come back to without finishing the authorisation.
			</td>
		</tr>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

