<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start discountFormGuts.jsp -->
<jsp:useBean id="now" class="java.util.Date" />
<fmt:formatDate var="thisYear" type="date" pattern="yyyy" value="${now}" />
<logic:notEmpty name="discountAddEditForm" property="parentName">
	<html:hidden name="discountAddEditForm" property="parentName" />
</logic:notEmpty>
<html:hidden name="discountAddEditForm" property="productID" />
<html:hidden name="discountAddEditForm" property="skuID" />

<tr class="altRow">
	<td class="setting property">
		<label for="name">Discount Name:</label>
	</td>
	<td>
		<html:text maxlength="255" styleClass="textbox" styleId="name" name="discountAddEditForm" property="name" />
		<div class="fieldDescription">The name of this discount as it appears to customers.</div>
	</td>
</tr>

<tr class="row">
	<td class="setting property">
		<label for="code">Discount Code:</label>
	</td>
	<td>
		<html:text maxlength="128" styleClass="length100" styleId="code" name="discountAddEditForm" property="code" />
		<div class="fieldDescription">A unique code for this discount, used by the system to identify it. (No spaces, commas, or pipe characters.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="setting property">
		<label for="timesUsed">Times Used:</label>
	</td>
	<td>
		<html:text maxlength="10" styleClass="number" styleId="timesUsed" name="discountAddEditForm" property="timesUsed" />
		<div class="fieldDescription">The number of times this discount has been used.</div>
	</td>
</tr>

<tr class="row">
	<td class="setting property">
		Active?:
	</td>
	<td class="value">
		<html:radio name="discountAddEditForm" property="isActive" value="true" styleId="isActivetrue"/>
		<label for="isActivetrue"> yes</label> &nbsp;&nbsp;
		<html:radio name="discountAddEditForm" property="isActive" value="false" styleId="isActivefalse" />
		<label for="isActivefalse"> no</label>
		<div class="fieldDescription">If false, this discount will not appear to customers.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="setting property" valign="top">
		What Items Does This Discount Apply To?
	</td>
	<td>
		<html:radio name="discountAddEditForm" property="itemsAppliesType" value="[global]" styleId="itemsAppliesTypeglobal" />
		<label for="itemsAppliesTypeglobal">Global Discount. Applies to user's cart subtotal, not including shipping and taxes.</label>
		<br/>
		<html:radio name="discountAddEditForm" property="itemsAppliesType" value="[shipping]" styleId="itemsAppliesTypeshipping" />
		<label for="itemsAppliesTypeshipping">Shipping Discount. Applies to user's shipping cost.</label>
		<br/>
		<html:radio name="discountAddEditForm" property="itemsAppliesType" value="[skus]" styleId="itemsAppliesTypeskus" />
		<label for="itemsAppliesTypeskus">SKU Discount. Applies just to the SKUs assigned to this discount.</label>
		<br/>
		<html:radio name="discountAddEditForm" property="itemsAppliesType" value="[giftCertificate]" styleId="itemsAppliesTypegiftCertificate" styleClass="enterpriseFeature"/>
		<label for="itemsAppliesTypegiftCertificate" class="enterpriseFeature">Gift Certificate. Applies to user's cart total, including shipping and taxes. 'Amount off' balance updated after each use.</label>
	</td>
</tr>

<tr class="row">
	<td class="setting property" valign="top">
		What Is the Reward for This Discount?
	</td>
	<td>
		<html:radio name="discountAddEditForm" property="rewardType" value="[percentage]" styleId="rewardTypepercentage" />
		<label for="rewardTypepercentage">Discount is this percentage off:</label>
		<html:text styleClass="number" maxlength="12" name="discountAddEditForm" property="rewardPercentage" />
		%
		<br/>
		<html:radio name="discountAddEditForm" property="rewardType" value="[amount]" styleId="rewardTypeamount" />
		<label for="rewardTypeamount">Discount is this amount off:</label>
		<html:text styleClass="number" maxlength="12" name="discountAddEditForm" property="rewardAmount" />
		<br/>
		<html:radio name="discountAddEditForm" property="rewardType" value="[itemsForFree]" styleId="rewardTypeitemsForFree" />
		<label for="rewardTypeitemsForFree">User receives up to this many of the item for free (SKU discounts only):</label>
		<html:text styleClass="number" maxlength="12" name="discountAddEditForm" property="rewardItemsForFree" />
		<br/>
		<html:radio name="discountAddEditForm" property="rewardType" value="[rangeByQuantity]" styleId="rewardTyperangeByQuantity" />
		<label for="rewardTyperangeByQuantity">Determined by the discount range the quantity falls into</label>
		<br/>
		<html:radio name="discountAddEditForm" property="rewardType" value="[rangeByPrice]" styleId="rewardTyperangeByPrice" />
		<label for="rewardTyperangeByPrice">Determined by the discount range the price total falls into</label>
	</td>
</tr>

<tr class="altRow">
	<td class="setting property" valign="top">
		To Whom Does This Discount Apply?
	</td>
	<td>
		<html:radio name="discountAddEditForm" property="usersAppliesType" value="[allUsers]" styleId="usersAppliesTypeallUsers" />
		<label for="usersAppliesTypeallUsers">All users</label>
		<br/>
		<html:radio name="discountAddEditForm" property="usersAppliesType" value="[loggedIn]" styleId="usersAppliesTypeloggedIn" />
		<label for="usersAppliesTypeloggedIn">All customers who are logged in</label>
		<br/>
		<html:radio name="discountAddEditForm" property="usersAppliesType" value="[userNames]"  styleId="usersAppliesTypeuserNames"/>
		<label for="usersAppliesTypeuserNames">Customers with these user names (enter comma-separated list):</label>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="usersUserNames" />
		<br/>
		<html:radio name="discountAddEditForm" property="usersAppliesType" value="[customerStatuses]" styleId="usersAppliesTypecustomerStatuses" />
		<label for="usersAppliesTypecustomerStatuses">Customers with these customer statuses (enter comma-separated list):</label>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="usersStatuses" />
		<br/>
		<html:radio name="discountAddEditForm" property="usersAppliesType" value="[previousOrderTotal]" styleId="usersAppliesTypepreviousOrderTotal" />
		<label for="usersAppliesTypepreviousOrderTotal">Customers who have placed previous orders totaling at least this amount:</label>
		<html:text styleClass="number" maxlength="255" name="discountAddEditForm" property="usersOrderTotal" />
		(Completed orders must not be deleted for this calculation to be accurate.)
	</td>
</tr>

<tr class="row">
	<td class="setting property" valign="top">
		What Item(s) Must Be in the Cart?
	</td>
	<td>
		<html:radio name="discountAddEditForm" property="cartItemsType" value="[noItemsRequired]" styleId="cartItemsTypenoItemsRequired" />
		<label for="cartItemsTypenoItemsRequired">No items are required to be in the cart</label>
		<br/>
		<html:radio name="discountAddEditForm" property="cartItemsType" value="[anyOneItem]" styleId="cartItemsTypeanyOneItem" />
		<label for="cartItemsTypeanyOneItem">Any one of the following products (enter comma-separated list of product codes):</label>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="cartItemsAny" />
		<br/>
		<html:radio name="discountAddEditForm" property="cartItemsType" value="[allItems]" styleId="cartItemsTypeallItems" />
		<label for="cartItemsTypeallItems">All of the following products (enter comma-separated list of product codes):</label>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="cartItemsAll" styleId="cartItemsTypecartItemsAll" />
	</td>
</tr>

<tr class="altRow">
	<td class="setting property" valign="top">
		When Is This Discount Valid?
	</td>
	<td nowrap="nowrap">
		Start Date (Leave unspecified to start immediately):
		<br/>
		<html:select name="discountAddEditForm" property="startDateYear">
			<html:option value="">Year</html:option>
			<html:option value="${thisYear}">
				<c:out value="${thisYear}" />
			</html:option>
			<html:option value="${thisYear + 1}">
				<c:out value="${thisYear + 1}" />
			</html:option>
			<html:option value="${thisYear + 2}">
				<c:out value="${thisYear + 2}" />
			</html:option>
			<html:option value="${thisYear + 3}">
				<c:out value="${thisYear + 3}" />
			</html:option>
			<html:option value="${thisYear + 4}">
				<c:out value="${thisYear + 4}" />
			</html:option>
			<html:option value="${thisYear + 5}">
				<c:out value="${thisYear + 5}" />
			</html:option>
			<html:option value="${thisYear + 6}">
				<c:out value="${thisYear + 6}" />
			</html:option>
			<html:option value="${thisYear + 7}">
				<c:out value="${thisYear + 7}" />
			</html:option>
			<html:option value="${thisYear + 8}">
				<c:out value="${thisYear + 8}" />
			</html:option>
			<html:option value="${thisYear + 9}">
				<c:out value="${thisYear + 9}" />
			</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="startDateMonth">
			<html:option value="">Mon</html:option>
			<html:option value="01">1</html:option>
			<html:option value="02">2</html:option>
			<html:option value="03">3</html:option>
			<html:option value="04">4</html:option>
			<html:option value="05">5</html:option>
			<html:option value="06">6</html:option>
			<html:option value="07">7</html:option>
			<html:option value="08">8</html:option>
			<html:option value="09">9</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="startDateDay">
			<html:option value="">Day</html:option>
			<html:option value="01">1</html:option>
			<html:option value="02">2</html:option>
			<html:option value="03">3</html:option>
			<html:option value="04">4</html:option>
			<html:option value="05">5</html:option>
			<html:option value="06">6</html:option>
			<html:option value="07">7</html:option>
			<html:option value="08">8</html:option>
			<html:option value="09">9</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
			<html:option value="13">13</html:option>
			<html:option value="14">14</html:option>
			<html:option value="15">15</html:option>
			<html:option value="16">16</html:option>
			<html:option value="17">17</html:option>
			<html:option value="18">18</html:option>
			<html:option value="19">19</html:option>
			<html:option value="20">20</html:option>
			<html:option value="21">21</html:option>
			<html:option value="22">22</html:option>
			<html:option value="23">23</html:option>
			<html:option value="24">24</html:option>
			<html:option value="25">25</html:option>
			<html:option value="26">26</html:option>
			<html:option value="27">27</html:option>
			<html:option value="28">28</html:option>
			<html:option value="29">29</html:option>
			<html:option value="30">30</html:option>
			<html:option value="31">31</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="startDateHour">
			<html:option value="00">00</html:option>
			<html:option value="01">01</html:option>
			<html:option value="02">02</html:option>
			<html:option value="03">03</html:option>
			<html:option value="04">04</html:option>
			<html:option value="05">05</html:option>
			<html:option value="06">06</html:option>
			<html:option value="07">07</html:option>
			<html:option value="08">08</html:option>
			<html:option value="09">09</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
			<html:option value="13">13</html:option>
			<html:option value="14">14</html:option>
			<html:option value="15">15</html:option>
			<html:option value="16">16</html:option>
			<html:option value="17">17</html:option>
			<html:option value="18">18</html:option>
			<html:option value="19">19</html:option>
			<html:option value="20">20</html:option>
			<html:option value="21">21</html:option>
			<html:option value="22">22</html:option>
			<html:option value="23">23</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="startDateMinute">
			<html:option value="00">00</html:option>
			<html:option value="01">01</html:option>
			<html:option value="02">02</html:option>
			<html:option value="03">03</html:option>
			<html:option value="04">04</html:option>
			<html:option value="05">05</html:option>
			<html:option value="06">06</html:option>
			<html:option value="07">07</html:option>
			<html:option value="08">08</html:option>
			<html:option value="09">09</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
			<html:option value="13">13</html:option>
			<html:option value="14">14</html:option>
			<html:option value="15">15</html:option>
			<html:option value="16">16</html:option>
			<html:option value="17">17</html:option>
			<html:option value="18">18</html:option>
			<html:option value="19">19</html:option>
			<html:option value="20">20</html:option>
			<html:option value="21">21</html:option>
			<html:option value="22">22</html:option>
			<html:option value="23">23</html:option>
			<html:option value="24">24</html:option>
			<html:option value="25">25</html:option>
			<html:option value="26">26</html:option>
			<html:option value="27">27</html:option>
			<html:option value="28">28</html:option>
			<html:option value="29">29</html:option>
			<html:option value="30">30</html:option>
			<html:option value="31">31</html:option>
			<html:option value="32">32</html:option>
			<html:option value="33">33</html:option>
			<html:option value="34">34</html:option>
			<html:option value="35">35</html:option>
			<html:option value="36">36</html:option>
			<html:option value="37">37</html:option>
			<html:option value="38">38</html:option>
			<html:option value="39">39</html:option>
			<html:option value="40">40</html:option>
			<html:option value="41">41</html:option>
			<html:option value="42">42</html:option>
			<html:option value="43">43</html:option>
			<html:option value="44">44</html:option>
			<html:option value="45">45</html:option>
			<html:option value="46">46</html:option>
			<html:option value="47">47</html:option>
			<html:option value="48">48</html:option>
			<html:option value="49">49</html:option>
			<html:option value="50">50</html:option>
			<html:option value="51">51</html:option>
			<html:option value="52">52</html:option>
			<html:option value="53">53</html:option>
			<html:option value="54">54</html:option>
			<html:option value="55">55</html:option>
			<html:option value="56">56</html:option>
			<html:option value="57">57</html:option>
			<html:option value="58">58</html:option>
			<html:option value="59">59</html:option>
		</html:select>
		<br/>
		<br/>
		Expiration Date (Leave unspecified if no expiration date):
		<br/>
		<html:select name="discountAddEditForm" property="expirationDateYear">
			<html:option value="">Year</html:option>
			<html:option value="${thisYear}">
				<c:out value="${thisYear}" />
			</html:option>
			<html:option value="${thisYear + 1}">
				<c:out value="${thisYear + 1}" />
			</html:option>
			<html:option value="${thisYear + 2}">
				<c:out value="${thisYear + 2}" />
			</html:option>
			<html:option value="${thisYear + 3}">
				<c:out value="${thisYear + 3}" />
			</html:option>
			<html:option value="${thisYear + 4}">
				<c:out value="${thisYear + 4}" />
			</html:option>
			<html:option value="${thisYear + 5}">
				<c:out value="${thisYear + 5}" />
			</html:option>
			<html:option value="${thisYear + 6}">
				<c:out value="${thisYear + 6}" />
			</html:option>
			<html:option value="${thisYear + 7}">
				<c:out value="${thisYear + 7}" />
			</html:option>
			<html:option value="${thisYear + 8}">
				<c:out value="${thisYear + 8}" />
			</html:option>
			<html:option value="${thisYear + 9}">
				<c:out value="${thisYear + 9}" />
			</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="expirationDateMonth">
			<html:option value="">Mon</html:option>
			<html:option value="01">1</html:option>
			<html:option value="02">2</html:option>
			<html:option value="03">3</html:option>
			<html:option value="04">4</html:option>
			<html:option value="05">5</html:option>
			<html:option value="06">6</html:option>
			<html:option value="07">7</html:option>
			<html:option value="08">8</html:option>
			<html:option value="09">9</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="expirationDateDay">
			<html:option value="">Day</html:option>
			<html:option value="01">1</html:option>
			<html:option value="02">2</html:option>
			<html:option value="03">3</html:option>
			<html:option value="04">4</html:option>
			<html:option value="05">5</html:option>
			<html:option value="06">6</html:option>
			<html:option value="07">7</html:option>
			<html:option value="08">8</html:option>
			<html:option value="09">9</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
			<html:option value="13">13</html:option>
			<html:option value="14">14</html:option>
			<html:option value="15">15</html:option>
			<html:option value="16">16</html:option>
			<html:option value="17">17</html:option>
			<html:option value="18">18</html:option>
			<html:option value="19">19</html:option>
			<html:option value="20">20</html:option>
			<html:option value="21">21</html:option>
			<html:option value="22">22</html:option>
			<html:option value="23">23</html:option>
			<html:option value="24">24</html:option>
			<html:option value="25">25</html:option>
			<html:option value="26">26</html:option>
			<html:option value="27">27</html:option>
			<html:option value="28">28</html:option>
			<html:option value="29">29</html:option>
			<html:option value="30">30</html:option>
			<html:option value="31">31</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="expirationDateHour">
			<html:option value="23">23</html:option>
			<html:option value="00">00</html:option>
			<html:option value="01">01</html:option>
			<html:option value="02">02</html:option>
			<html:option value="03">03</html:option>
			<html:option value="04">04</html:option>
			<html:option value="05">05</html:option>
			<html:option value="06">06</html:option>
			<html:option value="07">07</html:option>
			<html:option value="08">08</html:option>
			<html:option value="09">09</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
			<html:option value="13">13</html:option>
			<html:option value="14">14</html:option>
			<html:option value="15">15</html:option>
			<html:option value="16">16</html:option>
			<html:option value="17">17</html:option>
			<html:option value="18">18</html:option>
			<html:option value="19">19</html:option>
			<html:option value="20">20</html:option>
			<html:option value="21">21</html:option>
			<html:option value="22">22</html:option>
			<html:option value="23">23</html:option>
		</html:select>
		<html:select name="discountAddEditForm" property="expirationDateMinute">
			<html:option value="59">59</html:option>
			<html:option value="00">00</html:option>
			<html:option value="01">01</html:option>
			<html:option value="02">02</html:option>
			<html:option value="03">03</html:option>
			<html:option value="04">04</html:option>
			<html:option value="05">05</html:option>
			<html:option value="06">06</html:option>
			<html:option value="07">07</html:option>
			<html:option value="08">08</html:option>
			<html:option value="09">09</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
			<html:option value="13">13</html:option>
			<html:option value="14">14</html:option>
			<html:option value="15">15</html:option>
			<html:option value="16">16</html:option>
			<html:option value="17">17</html:option>
			<html:option value="18">18</html:option>
			<html:option value="19">19</html:option>
			<html:option value="20">20</html:option>
			<html:option value="21">21</html:option>
			<html:option value="22">22</html:option>
			<html:option value="23">23</html:option>
			<html:option value="24">24</html:option>
			<html:option value="25">25</html:option>
			<html:option value="26">26</html:option>
			<html:option value="27">27</html:option>
			<html:option value="28">28</html:option>
			<html:option value="29">29</html:option>
			<html:option value="30">30</html:option>
			<html:option value="31">31</html:option>
			<html:option value="32">32</html:option>
			<html:option value="33">33</html:option>
			<html:option value="34">34</html:option>
			<html:option value="35">35</html:option>
			<html:option value="36">36</html:option>
			<html:option value="37">37</html:option>
			<html:option value="38">38</html:option>
			<html:option value="39">39</html:option>
			<html:option value="40">40</html:option>
			<html:option value="41">41</html:option>
			<html:option value="42">42</html:option>
			<html:option value="43">43</html:option>
			<html:option value="44">44</html:option>
			<html:option value="45">45</html:option>
			<html:option value="46">46</html:option>
			<html:option value="47">47</html:option>
			<html:option value="48">48</html:option>
			<html:option value="49">49</html:option>
			<html:option value="50">50</html:option>
			<html:option value="51">51</html:option>
			<html:option value="52">52</html:option>
			<html:option value="53">53</html:option>
			<html:option value="54">54</html:option>
			<html:option value="55">55</html:option>
			<html:option value="56">56</html:option>
			<html:option value="57">57</html:option>
			<html:option value="58">58</html:option>
			<html:option value="59">59</html:option>
		</html:select>
	</td>
</tr>

<tr class="row">
	<td class="setting property" valign="top">
		<label for="maxTimesUsed">How Many Times Can This Discount Be Used?</label>
	</td>
	<td>
		<html:text styleClass="number" maxlength="5" name="discountAddEditForm" property="maxTimesUsed" styleId="maxTimesUsed" /> (Enter 0 for no limit)
		<br/>
		<html:radio name="discountAddEditForm" property="isTimesPerCustomer" value="false" styleId="isTimesPerCustomerfalse" />
		<label for="isTimesPerCustomerfalse">Number of times is overall, regardless of customer</label>
		<br />
		<html:radio name="discountAddEditForm" property="isTimesPerCustomer" value="true" styleId="isTimesPerCustomertrue" />
		<label for="isTimesPerCustomertrue">Number of times is per customer (If selected, you may not select "All users" for "To Whom Does This Discount Apply?")</label>
	</td>
</tr>

<tr class="altRow">
	<td class="setting property">
		What Is This Discount's Coupon/Gift Certificate Code?
	</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="couponCode" />
		<div class="fieldDescription">The code a shopper is required to enter in order to get the discount. (Leave blank if not a coupon or a gift certificate. No spaces, commas, or pipe characters.)</div>
	</td>
</tr>

<tr class="row">
	<td class="setting property">
		Discount Description:
	</td>
	<td>
		<html:textarea rows="5" name="discountAddEditForm" property="description" />
		<div class="fieldDescription">A description for this discount.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="setting property">
		Extra 1:
	</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="extra1" />
		<div class="fieldDescription">Any extra, or custom information associated with this discount.</div>
	</td>
</tr>

<tr class="row">
	<td class="setting property">
		Extra 2:
	</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="extra2" />
	</td>
</tr>

<tr class="altRow">
	<td class="setting property">
		Extra 3:
	</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="discountAddEditForm" property="extra3" />
	</td>
</tr>

<tr class="altRow">
	<td class="setting property">
		Originating Order Item ID:
	</td>
	<td>
		<c:choose>
			<c:when test="${!empty discountAddEditForm.orderItemID and discountAddEditForm.orderItemID > 0}">
				<a href="OrderItemEditForm.do?orderItemID=<c:out value="${discountAddEditForm.orderItemID}"/>"><c:out value="${discountAddEditForm.orderItemID}"/></a>
			</c:when>
			<c:otherwise>
				[None]
			</c:otherwise>
		</c:choose>
		<html:hidden name="discountAddEditForm" property="orderItemID" />
		<div class="fieldDescription">If this discount is a purchased gift certificate, the original order item id representing the purchase.</div>
	</td>
</tr>



<tr class="row">
	<td class="setting property">
		Discount Order:
	</td>
	<td>
		<html:text styleClass="number" maxlength="10" name="discountAddEditForm" property="discountOrder" />
		<div class="fieldDescription">The order in which this discount will appear relative to other discounts. This field also determines the order in which discounts are processed when they are applied to a customer's cart.</div>
	</td>
</tr>
<!-- End discountFormGuts.jsp -->
