<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start shippingMethodFormGuts.jsp -->
<tr class="altRow">
	<td class="property setting">Name:</td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="shippingMethodAddEditForm" property="name"/>
		<div class="fieldDescription">The name of this shipping method option as it will appear to customers during checkout.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Code:</td>
	<td class="value">
		<html:text maxlength="100" styleClass="length100" name="shippingMethodAddEditForm" property="code"/>
		<div class="fieldDescription">A unique code for this shipping method option. (No spaces, commas, or pipe characters.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Minimum Charge:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="minimum"/>
		<div class="fieldDescription">The minimum amount charged for this shipping method regardless of what value is calculated otherwise. Leave dollar signs or other currency symbols off when entering price values.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Base Charge:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="base"/>
		<div class="fieldDescription">The base or "handling" charge that will applied to this shipping method for all customers. Leave dollar signs or other currency symbols off when entering price values.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Method Type:</td>
	<td class="value">
		<html:select name="shippingMethodAddEditForm" property="methodType">
			<html:option value="">Please Select</html:option>
			<html:option value="">-------------</html:option>
			<html:option value="flatRate">Flat Rate</html:option>
			<html:option value="quantityTable">Quantity Table</html:option>
			<html:option value="cumulativeQuantityTable">Cumluative Quantity Table</html:option>
			<html:option value="weightTable">Weight Table</html:option>
			<html:option value="perWeightUnitTable">Per Weight Unit Table</html:option>
			<html:option value="priceTable">Price Table</html:option>
		</html:select>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Active:</td>
	<td class="value">
		<html:radio name="shippingMethodAddEditForm" property="isActive" value="true"/> yes
		&nbsp;&nbsp;
		<html:radio name="shippingMethodAddEditForm" property="isActive" value="false"/> no
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Number of Days to Ship:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="numberDaysToShip"/>
		<div class="fieldDescription">The (estimated) number of days it takes to deliver when using this method. If populated and above zero, the "estimated delivery date" for this method will appear to customers during checkout.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Method Order:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="methodOrder"/>
		<div class="fieldDescription">The order in which this method will appear relative to other basic shipping methods. (UPS, USPS and methods from other shipping processors will always appear after this method and the other basic shipping methods.)</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Pick Up:</td>
	<td class="value">
		<html:radio name="shippingMethodAddEditForm" property="isPickUp" value="true"/> yes
		&nbsp;&nbsp;
		<html:radio name="shippingMethodAddEditForm" property="isPickUp" value="false"/> no
		<div class="fieldDescription">Indicates this Shipping Method represents a location where the customer picks up the order themselves. If this is set to true, and the below address fields are populated, the address will be copied into the order's delivery address for tax purposes.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Organization:</td>
	<td class="value">
		<html:text name="shippingMethodAddEditForm" property="organization" maxlength="100" styleClass="length100"/>
		<div class="fieldDescription">If this Shipping Method is a Pick Up method, the order's delivery organization will be replaced with this value during checkout.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Address 1:</td>
	<td class="value">
		<html:text name="shippingMethodAddEditForm" property="address1" maxlength="255" styleClass="textbox"/>
		<div class="fieldDescription">If this Shipping Method is a Pick Up method, the order's delivery address1 field will be replaced with this value during checkout.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Address 2:</td>
	<td class="value">
		<html:text name="shippingMethodAddEditForm" property="address2" maxlength="255" styleClass="textbox"/>
		<div class="fieldDescription">If this Shipping Method is a Pick Up method, the order's delivery address2 field will be replaced with this value during checkout.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">City:</td>
	<td class="value">
		<html:text name="shippingMethodAddEditForm" property="city" maxlength="100" styleClass="length100"/>
		<div class="fieldDescription">If this Shipping Method is a Pick Up method, the order's delivery city will be replaced with this value during checkout.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">State:</td>
	<td class="value">
		<html:select name="shippingMethodAddEditForm" property="state">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="states" property="code" labelProperty="name"/>
		</html:select>
		<div class="fieldDescription">If this Shipping Method is a Pick Up method, the order's delivery state will be replaced with this value during checkout.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Postal Code:</td>
	<td class="value">
		<html:text name="shippingMethodAddEditForm" property="postalCode" maxlength="100" styleClass="length100"/>
		<div class="fieldDescription">If this Shipping Method is a Pick Up method, the order's delivery postal code will be replaced with this value during checkout.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Country:</td>
	<td class="value">
		<html:select name="shippingMethodAddEditForm" property="country">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="countries" property="code" labelProperty="name"/>
		</html:select>
		<div class="fieldDescription">If this Shipping Method is a Pick Up method, the order's delivery country will be replaced with this value during checkout.</div>
	</td>
</tr>
<!-- End shippingMethodFormGuts.jsp -->
