<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to configure the display of UPS shipping costs in the store.</p>
</div>

<c:if test="${settings.map.useCheckoutCombo eq '1' or settings.map.combineCheckoutShippingAddresses eq '1'}">
	<div class="warning">
		<p>Because UPS needs to know each customer's delivery address to quote a rate, you must set the following application
			settings to "no" for UPS rates to be displayed:</p>
 		<ul class="normal">
			<li>Use Combined Address, Shipping and Payment Screen in Checkout?</li>
			<li>Use Combined Address and Shipping Screen in Checkout?</li>
		</ul>
		<p>Please make sure the above settings are set to "no" on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.</p>
	</div>
</c:if>

<br/>

<html:form action="/UPSSettingsProcess" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<bean:define id="setting" name="settingRow" toScope="request"/>
			<c:if test="${setting.code eq 'UPS_shipperNumber'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
			</c:if>
		</logic:iterate>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:equal name="settingRow" property="type" value="UPS">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'UPS_shipperNumber'}">
						<!-- Displayed above. -->
					</c:when>
					<c:when test="${setting.code eq 'UPS_password'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<input type="password" class="textbox" maxlength="255" id="<bean:write name="setting" property="code"/>" name="<bean:write name="setting" property="code"/>" value="<bean:write name="setting" property="mediumValue"/>"/>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_pickupTypeCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select id="UPS_pickupTypeCode" name="UPS_pickupTypeCode">
								    <option value="01" <logic:match name="setting" property="mediumValue" value="01">selected="selected"</logic:match>>01 - Daily Pickup</option>
									<option value="03" <logic:match name="setting" property="mediumValue" value="03">selected="selected"</logic:match>>03 - Customer Counter</option>
									<option value="06" <logic:match name="setting" property="mediumValue" value="06">selected="selected"</logic:match>>06 - One Time Pickup</option>
									<option value="07" <logic:match name="setting" property="mediumValue" value="07">selected="selected"</logic:match>>07 - On Call Air</option>
									<option value="11" <logic:match name="setting" property="mediumValue" value="11">selected="selected"</logic:match>>11 - Suggested Retail Rates</option>
									<option value="19" <logic:match name="setting" property="mediumValue" value="19">selected="selected"</logic:match>>19 - Letter Center</option>
									<option value="20" <logic:match name="setting" property="mediumValue" value="20">selected="selected"</logic:match>>20 - Air Service Center</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_customerClassificationCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select id="UPS_customerClassificationCode" name="UPS_customerClassificationCode">
								    <option value="01" <logic:match name="setting" property="mediumValue" value="01">selected="selected"</logic:match>>01 - Wholesale</option>
									<option value="03" <logic:match name="setting" property="mediumValue" value="03">selected="selected"</logic:match>>03 - Occasional</option>
									<option value="04" <logic:match name="setting" property="mediumValue" value="04">selected="selected"</logic:match>>04 - Retail</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_validServiceCodes'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<table>
									<tr>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="01" <logic:match name="setting" property="mediumValue" value="01">checked="checked"</logic:match>>&nbsp;01 - Next Day Air
							    		</td>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="02" <logic:match name="setting" property="mediumValue" value="02">checked="checked"</logic:match>>&nbsp;02 - 2nd Day Air
							    		</td>
							    	</tr>
							    	<tr>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="03" <logic:match name="setting" property="mediumValue" value="03">checked="checked"</logic:match>>&nbsp;03 - Ground
							    		</td>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="07" <logic:match name="setting" property="mediumValue" value="07">checked="checked"</logic:match>>&nbsp;07 - Worldwide Express
							    		</td>
							    	</tr>
							    	<tr>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="08" <logic:match name="setting" property="mediumValue" value="08">checked="checked"</logic:match>>&nbsp;08 - Worldwide Expedited
							    		</td>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="11" <logic:match name="setting" property="mediumValue" value="11">checked="checked"</logic:match>>&nbsp;11 - Standard
							    		</td>
							    	</tr>
							    	<tr>
										<td nowrap="nowrap">
							   			 <input name="UPS_validServiceCodesArray" type="checkbox" value="12" <logic:match name="setting" property="mediumValue" value="12">checked="checked"</logic:match>>&nbsp;12 - 3 Day Select
							    		</td>
										<td nowrap="nowrap">
							   			 <input name="UPS_validServiceCodesArray" type="checkbox" value="13" <logic:match name="setting" property="mediumValue" value="13">checked="checked"</logic:match>>&nbsp;13 - Next Day Air Saver
							    		</td>
							    	</tr>
							    	<tr>
										<td nowrap="nowrap">
							   			 <input name="UPS_validServiceCodesArray" type="checkbox" value="14" <logic:match name="setting" property="mediumValue" value="14">checked="checked"</logic:match>>&nbsp;14 - Next Day Air Early A.M.
							    		</td>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="54" <logic:match name="setting" property="mediumValue" value="54">checked="checked"</logic:match>>&nbsp;54 - Worldwide Express Plus
							    		</td>
							    	</tr>
							    	<tr>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="59" <logic:match name="setting" property="mediumValue" value="59">checked="checked"</logic:match>>&nbsp;59 - 2nd Day Air AM
							    		</td>
										<td nowrap="nowrap">
							    			<input name="UPS_validServiceCodesArray" type="checkbox" value="65" <logic:match name="setting" property="mediumValue" value="65">checked="checked"</logic:match>>&nbsp;65 - Worldwide Saver
							    		</td>
									</tr>
								</table>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_residentialAddressIndicator'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select id="UPS_residentialAddressIndicator" name="UPS_residentialAddressIndicator">
								    <option value="0" <logic:match name="setting" property="integerValue" value="0">selected="selected"</logic:match>>No Residential</option>
									<option value="1" <logic:match name="setting" property="integerValue" value="1">selected="selected"</logic:match>>Only Residential</option>
									<option value="2" <logic:match name="setting" property="integerValue" value="2">selected="selected"</logic:match>>Check the Organization Field on Checkout</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_unitOfMeasurementCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select id="UPS_unitOfMeasurementCode" name="UPS_unitOfMeasurementCode">
								    <option value="LBS" <logic:match name="setting" property="mediumValue" value="LBS">selected="selected"</logic:match>>Pounds</option>
									<option value="KGS" <logic:match name="setting" property="mediumValue" value="KGS">selected="selected"</logic:match>>Kilograms</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_packageCodeType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select id="UPS_packageCodeType" name="UPS_packageCodeType">
								    <option value="01" <logic:match name="setting" property="mediumValue" value="01">selected="selected"</logic:match>>01 - UPS Letter / UPS Express Envelope</option>
									<option value="02" <logic:match name="setting" property="mediumValue" value="02">selected="selected"</logic:match>>02 - Package</option>
									<option value="03" <logic:match name="setting" property="mediumValue" value="03">selected="selected"</logic:match>>03 - UPS Tube</option>
									<option value="04" <logic:match name="setting" property="mediumValue" value="04">selected="selected"</logic:match>>04 - UPS Pak</option>
									<option value="21" <logic:match name="setting" property="mediumValue" value="21">selected="selected"</logic:match>>05 - UPS Express Box</option>
									<option value="24" <logic:match name="setting" property="mediumValue" value="24">selected="selected"</logic:match>>06 - UPS 25 Kg Box</option>
									<option value="25" <logic:match name="setting" property="mediumValue" value="25">selected="selected"</logic:match>>07 - UPS 10 Kg Box</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_packageOversizePackage'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select id="UPS_packageOversizePackage" name="UPS_packageOversizePackage">
								    <option value="" <logic:equal name="setting" property="mediumValue" value="">selected="selected"</logic:equal>>Not Oversized</option>
									<option value="1" <logic:equal name="setting" property="mediumValue" value="1">selected="selected"</logic:equal>>OS1 Oversize 1</option>
									<option value="2" <logic:equal name="setting" property="mediumValue" value="2">selected="selected"</logic:equal>>OS2 Oversize 2</option>
									<option value="3" <logic:equal name="setting" property="mediumValue" value="3">selected="selected"</logic:equal>>OS3 Oversize 3</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_packageUseDimensions'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
										<select id="UPS_packageUseDimensions" name="UPS_packageUseDimensions">
										    <option value="Yes" <logic:match name="setting" property="mediumValue" value="Yes">selected="selected"</logic:match>>Yes</option>
											<option value="No" <logic:match name="setting" property="mediumValue" value="No">selected="selected"</logic:match>>No</option>
										</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_rateInformationNegotiatedRatesIndicator'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
										<select id="UPS_rateInformationNegotiatedRatesIndicator" name="UPS_rateInformationNegotiatedRatesIndicator">
										    <option value="Yes" <logic:match name="setting" property="mediumValue" value="Yes">selected="selected"</logic:match>>Yes</option>
											<option value="No" <logic:match name="setting" property="mediumValue" value="No">selected="selected"</logic:match>>No</option>
										</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_useInsuredValue'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
										<select id="UPS_useInsuredValue" name="UPS_useInsuredValue">
										    <option value="Yes" <logic:match name="setting" property="mediumValue" value="Yes">selected="selected"</logic:match>>Yes</option>
											<option value="No" <logic:match name="setting" property="mediumValue" value="No">selected="selected"</logic:match>>No</option>
										</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipperName' and setting.mediumValue eq 'Shipper Co.' and !empty settings.map.storeName}">
						<c:set var="inputValue" value="${settings.map.storeName}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipperPhoneNumber' and setting.mediumValue eq 'xxx-xxx-xxxx' and !empty settings.map.storePhone}">
						<c:set var="inputValue" value="${settings.map.storePhone}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipperFaxNumber' and empty setting.mediumValue and !empty settings.map.storeFax}">
						<c:set var="inputValue" value="${settings.map.storeFax}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipperCity' and setting.mediumValue eq 'Your City' and !empty settings.map.storeCity}">
						<c:set var="inputValue" value="${settings.map.storeCity}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipperStateCode' and setting.mediumValue eq 'ST' and !empty settings.map.storeStateOrProvince}">
						<c:set var="inputValue" value="${settings.map.storeStateOrProvince}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipperPostalCode' and setting.mediumValue eq '000000' and !empty settings.map.storePostalCode}">
						<c:set var="inputValue" value="${settings.map.storePostalCode}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipFromCity' and setting.mediumValue eq 'City' and !empty settings.map.storeCity}">
						<c:set var="inputValue" value="${settings.map.storeCity}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipFromStateCode' and setting.mediumValue eq 'ST' and !empty settings.map.storeStateOrProvince}">
						<c:set var="inputValue" value="${settings.map.storeStateOrProvince}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'UPS_shipFromPostalCode' and setting.mediumValue eq '000000' and !empty settings.map.storePostalCode}">
						<c:set var="inputValue" value="${settings.map.storePostalCode}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:equal>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,shippingEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Register for UPS Online Web Tools">
				<p>To enable UPS shipping, you must register with UPS on <a href="ups.com">ups.com</a>. Specifically, you must:</p>
    			<ol class="normal">
    				<li>Create a UPS account if you haven't already.</li>
    				<li>Create an Online Tools UserID and Password.</li>
					<li>Accept the UPS Online Tools license agreement and receive a Developer Key.</li>
					<li>Get an XML Access Key.</li>
				</ol>
				<p>For more details please visit <a href="ups.com">ups.com</a>.</p>
			</ssc:help>
		</li>
	</ul>
</div>
