<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsAvaTax.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>
<c:set var="states" value="${applicationScope.statesAndCountries.states}"/>
<c:set var="countries" value="${applicationScope.statesAndCountries.countries}"/>

<div class="instructions">
	Avalara's AvaTax service provides accurate tax rates in real time.
	To set up an account, visit <a href="http://www.avalara.com">Avalara's website</a>.
	Once your AvaTax account is set up, use the form below to enter your AvaTax account information.
</div>

<br/>

<html:form action="/SettingsProcessAvaTax" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="AVATAX">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:choose>
					<c:when test="${settingRow.code eq 'avataxURL'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${settingRow.name}"/>:</td>
							<td class="value">
								<select name="avataxURL" id="avataxURL" class="selectboxWide">
									<option value="https://avatax.avalara.net" <logic:equal name="settingRow" property="mediumValue" value="https://avatax.avalara.net">selected="selected"</logic:equal>>Live (https://avatax.avalara.net)</option>
									<option value="https://development.avalara.net" <logic:equal name="settingRow" property="mediumValue" value="https://development.avalara.net">selected="selected"</logic:equal>>Development (https://development.avalara.net)</option>
								</select>
			 					<br/>
			 					<div class="settingDescription"><c:out value="${settingRow.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxDocType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${settingRow.name}"/>:</td>
							<td class="value">
								<select name="avataxDocType" id="avataxDocType" class="selectboxWide">
									<option value="SalesOrder" <logic:equal name="settingRow" property="smallValue" value="SalesOrder">selected="selected"</logic:equal>>Return the tax rate but do not save in Avalara's system (SalesOrder)</option>
									<option value="SalesInvoice" <logic:equal name="settingRow" property="smallValue" value="SalesInvoice">selected="selected"</logic:equal>>Return the tax rate and save the transaction with Avalara (SalesInvoice)</option>
									<%--<option value="PurchaseInvoice" <logic:match name="settingRow" property="smallValue" value="PurchaseInvoice">selected="selected"</logic:match>>PurchaseInvoice</option>
									<option value="PurchaseOrder" <logic:match name="settingRow" property="smallValue" value="PurchaseOrder">selected="selected"</logic:match>>SalesOrder</option>
									<option value="ReturnInvoice" <logic:match name="settingRow" property="smallValue" value="ReturnInvoice">selected="selected"</logic:match>>ReturnInvoice</option>
									<option value="ReturnOrder" <logic:match name="settingRow" property="smallValue" value="ReturnOrder">selected="selected"</logic:match>>ReturnOrder</option>--%>
								</select>
			 					<br/>
			 					<div class="settingDescription"><c:out value="${settingRow.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxActionNewOrder'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${settingRow.name}"/>:</td>
							<td class="value">
								<select name="avataxActionNewOrder" id="avataxActionNewOrder" class="selectboxWide">
									<option value="DoNothing" <logic:equal name="settingRow" property="smallValue" value="DoNothing">selected="selected"</logic:equal>>Do nothing</option>
									<option value="Save" <logic:equal name="settingRow" property="smallValue" value="Save">selected="selected"</logic:equal>>Save the transaction with Avalara</option>
									<option value="Post" <logic:equal name="settingRow" property="smallValue" value="Post">selected="selected"</logic:equal>>Post</option>
									<option value="Commit" <logic:equal name="settingRow" property="smallValue" value="Commit">selected="selected"</logic:equal>>Commit</option>
								</select>
			 					<br/>
			 					<div class="settingDescription"><c:out value="${settingRow.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxActionForOrderBeingShipped'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${settingRow.name}"/>:</td>
							<td class="value">
								<select name="avataxActionForOrderBeingShipped" id="avataxActionForOrderBeingShipped" class="selectboxWide">
									<option value="DoNothing" <logic:equal name="settingRow" property="smallValue" value="DoNothing">selected="selected"</logic:equal>>Do nothing</option>
									<option value="Save" <logic:equal name="settingRow" property="smallValue" value="Save">selected="selected"</logic:equal>>Save the transaction with Avalara</option>
									<option value="Post" <logic:equal name="settingRow" property="smallValue" value="Post">selected="selected"</logic:equal>>Post</option>
									<option value="Commit" <logic:equal name="settingRow" property="smallValue" value="Commit">selected="selected"</logic:equal>>Commit</option>
								</select>
			 					<br/>
			 					<div class="settingDescription"><c:out value="${settingRow.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxOrderStatusForBeingShipped'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${settingRow.name}"/>:</td>
							<td class="value">
								<select name="avataxOrderStatusForBeingShipped" id="avataxOrderStatusForBeingShipped" class="selectboxWide">
									<c:if var="foundStatus" test="${false}"/>
									<c:forTokens var="stat" varStatus="current" items="${settings.map.possibleOrderStatuses}" delims=",">
										<% pageContext.setAttribute("stat", ((String) pageContext.getAttribute("stat")).trim()); %>
										<option value="<c:out value="${stat}"/>"<c:if test="${stat eq settingRow.smallValue}"> selected="selected"<c:if var="foundStatus" test="${true}"/></c:if>><c:out value="${stat}"/></option>
									</c:forTokens>
									<c:if test="${!foundStatus}">
										<option value="<c:out value="${settingRow.smallValue}"/>" selected="selected"><c:out value="${settingRow.smallValue}"/></option>
									</c:if>
								</select>
			 					<br/>
			 					<div class="settingDescription"><c:out value="${settingRow.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxOriginLine1' and empty settingRow.mediumValue and !empty settings.map.storeAddress1}">
						<c:set var="inputValue" value="${settings.map.storeAddress1}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxOriginLine2' and empty settingRow.mediumValue and !empty settings.map.storeAddress2}">
						<c:set var="inputValue" value="${settings.map.storeAddress2}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxOriginCity' and empty settingRow.mediumValue and !empty settings.map.storeCity}">
						<c:set var="inputValue" value="${settings.map.storeCity}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxOriginRegion' and empty settingRow.mediumValue and !empty settings.map.storeStateOrProvince}">
						<c:set var="inputValue" value="${settings.map.storeStateOrProvince}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxOriginPostalCode' and empty settingRow.mediumValue and !empty settings.map.storePostalCode}">
						<c:set var="inputValue" value="${settings.map.storePostalCode}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${inputValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxCountriesToVerify'}">
						<c:set var="avataxCountriesToVerify" value="${settings.map.avataxCountriesToVerify}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input style="margin: 4px;" type="checkbox" id="avataxCountriesToVerifyAll" onclick="if (this.checked) { $('input.avataxCountriesToVerify:checkbox').prop('checked', true) } else { $('input.avataxCountriesToVerify:checkbox').prop('checked', false) }" value="">Select/Deselect All</input>
								(Deselect All to disable address verification - eg., if you are only calculating tax.)
								<br/>
								<logic:iterate name="countries" id="country">
									<bean:define id="countryCode" name="country" property="code" type="java.lang.String"/>
									<c:set var="countryName" value="${country.name}"/>
									<% if ((String) pageContext.getAttribute("avataxCountriesToVerify") != null && ((String) pageContext.getAttribute("avataxCountriesToVerify")).contains(countryCode)) { %>
										<input class="avataxCountriesToVerify" style="margin: 4px;" type="checkbox" name="avataxCountriesToVerifyArray" value="<%= countryCode %>" checked="checked"><c:out value="${countryName}"/></input>
									<% } else { %>
										<input class="avataxCountriesToVerify" style="margin: 4px;" type="checkbox" name="avataxCountriesToVerifyArray" value="<%= countryCode %>"/><c:out value="${countryName}"/>&nbsp;
									<% } %>
								</logic:iterate>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxStatesToCalculate'}">
						<c:set var="avataxStatesToCalculate" value="${settings.map.avataxStatesToCalculate}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input style="margin: 4px;" type="checkbox" id="avataxStatesToCalculateAll" onclick="if (this.checked) { $('input.avataxStatesToCalculate:checkbox').prop('checked', true) } else { $('input.avataxStatesToCalculate:checkbox').prop('checked', false) }" value="">Select/Deselect All</input>
								(Deselect All to skip tax calculation - eg., if you are only using Address Validation.)
								<br/>
								<logic:iterate name="states" id="state">                                                                        <c:set var="stateCode" value="${state.code}"/>
									<c:set var="stateName" value="${state.name}"/>
									<c:if test="${stateCode ne 'Other'}">
										<c:choose>
											<c:when test="${fn:contains(avataxStatesToCalculate, stateCode)}">
												<input class="avataxStatesToCalculate" style="margin: 4px;" type="checkbox" name="avataxStatesToCalculateArray" value="${stateCode}" checked="checked"/><c:out value="${stateName}"/>&nbsp;
											</c:when>
											<c:otherwise>
												<input class="avataxStatesToCalculate" style="margin: 4px;" type="checkbox" name="avataxStatesToCalculateArray" value="${stateCode}"/><c:out value="${stateName}"/>&nbsp;
											</c:otherwise>
										</c:choose>
									</c:if>
								</logic:iterate>
								<br/>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'avataxCountriesToCalculate'}">
						<c:set var="avataxCountriesToCalculate" value="${settings.map.avataxCountriesToCalculate}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input style="margin: 4px;" type="checkbox" id="avataxCountriesToCalculateAll" onclick="if (this.checked) { $('input.avataxCountriesToCalculate:checkbox').prop('checked', true) } else { $('input.avataxCountriesToCalculate:checkbox').prop('checked', false) }" value="">Select/Deselect All</input>
								(Deselect All to skip tax calculation - eg., if you are only using Address Validation.)
								<br/>
								<logic:iterate name="countries" id="country">
									<bean:define id="countryCode" name="country" property="code" type="java.lang.String"/>
									<c:set var="countryName" value="${country.name}"/>
									<% if ((String) pageContext.getAttribute("avataxCountriesToCalculate") != null && ((String) pageContext.getAttribute("avataxCountriesToCalculate")).contains(countryCode)) { %>
										<input class="avataxCountriesToCalculate" style="margin: 4px;" type="checkbox" name="avataxCountriesToCalculateArray" value="<%= countryCode %>" checked="checked"><c:out value="${countryName}"/></input>
									<% } else { %>
										<input class="avataxCountriesToCalculate" style="margin: 4px;" type="checkbox" name="avataxCountriesToCalculateArray" value="<%= countryCode %>"/><c:out value="${countryName}"/>&nbsp;
									<% } %>
								</logic:iterate>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,taxEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Find out more about how the integration with AvaTax works">
				<p>As each customer goes through checkout, after he or she has entered his
				billing and delivery address, the system calculates a tax amount and adds it to the order. 
				If the AvaTax Processor is enabled, a request is sent to AvaTax with the dynamic elements of the
				order: the destination address, the product codes being ordered, etc. AvaTax returns a computed tax amount
				based on their database of tax rules and jurisdictions in real time. The system uses the tax returned by 
				AvaTax and adds it to the order as the order's tax.</p>
				<p>Each of the product codes in the order are sent to AvaTax as "Item Codes". Within the AvaTax Dashboard
				you can define which "Tax Code" corresponds to each Item Code. Alternatively, you may use the above 
				"AvaTax Default Tax Code" to define the tax code sent to Avalara for all items. In addition, you can
				override the tax code for each individual product by enabling the above "Use Product Extra 1 as Tax Code?"
				setting and entering the tax code in each product's "Extra 1" field.
				</p>
				<p>For more information about setting up and configuring your AvaTax account, visit <a href="http://www.avalara.com">Avalara's website</a>.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Test the Connection and My Credentials with AvaTax">
				<p>Enter your credentials above and save the settings first. Then click here to <a href="AvaTaxTestConnection.do">Test the AvaTax Connection and Your Credentials</a>.</p>
			</ssc:help>
		</li>
	</ul>
</div>

<!-- End settingsAvaTax.jsp -->
