/*!

Copyright (c) 2010-2013 Diego Perini (http://www.iport.it)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*//*

Cross-browser HTML5 form helper written in Javascript

implements missing html5 form control attributes

placeholder - input text, textarea
autofocus - input, select, textarea
maxlength - input text (1), textarea
required - input, select, textarea
pattern - input text, textarea
data-regexp (2) - input text, textarea

(1) HTML4 support maxlength on input type text
(2) validates HTML5 specification (seen in ExtJS)

Note:
the following code has been rewritten from scratch based
on previous work done for NWXForms and NWMask components
written for IPORT back in 2005, I would like to say thanks
to Remy Sharp (@rem) for pushing me to revisit these old
scripts and implement them as HTML5 cross-browser helpers.

Status:
The code is just a pre-alpha preview and poc, should work.
I have an alternate method for placeholders in case this
doesn't work for some reason. I could use some containers
styled as their underlying controls until before focus.

@global - required browsing context

*/
function nwxforms(t){var l={},p=t.document,f=!!p.addEventListener,u=f?"addEventListener":"attachEvent",E=f?"removeEventListener":"detachEvent",v=f?"blur":"focusout",r=f?"focus":"focusin",F=f?"input":"propertychange",c=f?"target":"srcElement",e=f?"":"on",w={},G={number:"(?:\\+|-)?(?:\\d+)(?:.\\d+)?(?:e-?\\d+)?",search:"[^\\r\\n\\f]{0,}",color:"#[0-9a-fA-F]{3,3}|#[0-9a-fA-F]{6,6}|[a-zA-Z]+-?[a-zA-Z]+",range:"(?:\\+|-)?(?:\\d+)(?:.\\d+)?(?:e-?\\d+)?",month:"(?:\\d{2}|\\d{4})[-.\\/ ]\\d{1,2}|\\d{1,2}[-.\\/ ](?:\\d{2}|\\d{4})|(?:\\d{2}|\\d{4})\\d{2}|\\d{2}(?:\\d{2}|\\d{4})",
date:"(?:\\d{2}|\\d{4})[-.\\/ ]\\d{1,2}[-.\\/ ]\\d{1,2}|\\d{1,2}[-.\\/ ]\\d{1,2}[-.\\/ ](?:\\d{2}|\\d{4})|(?:\\d{2}|\\d{4})\\d{2}\\d{2}|\\d{2}\\d{2}(?:\\d{2}|\\d{4})",time:"\\d{2}:\\d{2}:\\d{2}(?:\\.\\d{2})?",week:"\\d{4}-W\\d{2}|W\\d{2}-\\d{4}","datetime-local":"(?:\\d{2}|\\d{4})[-.\\/ ]\\d{1,2}[-.\\/ ]\\d{1,2}|\\d{1,2}[-.\\/ ]\\d{1,2}[-.\\/ ](?:\\d{2}|\\d{4})|(?:\\d{2}|\\d{4})\\d{2}\\d{2}|\\d{2}\\d{2}(?:\\d{2}|\\d{4}) \\d{2}:\\d{2}:\\d{2}(?:\\.\\d{2})?",datetime:"(?:\\d{2}|\\d{4})[-.\\/ ]\\d{1,2}[-.\\/ ]\\d{1,2}|\\d{1,2}[-.\\/ ]\\d{1,2}[-.\\/ ](?:\\d{2}|\\d{4})|(?:\\d{2}|\\d{4})\\d{2}\\d{2}|\\d{2}\\d{2}(?:\\d{2}|\\d{4}) \\d{2}:\\d{2}:\\d{2}(?:\\.\\d{2})?",
email:"(?:[\\w!#$%&'*+/=?^`{|}~-]+)(?:\\.[\\w!#$%&'*+/=?^`{|}~-]+)*@(?:[a-zA-Z0-9][-a-zA-Z0-9]{0,61}[a-zA-Z0-9]\\.)+[a-zA-Z]{2,6}",url:"(?:(?:ftp|http|https)://)?(?:[a-zA-Z0-9][-a-zA-Z0-9]{0,61}[a-zA-Z0-9]\\.)+[a-zA-Z]{2,6}",tel:"(?:\\+?(?:\\d{1,3}[-. ]?))?(?:\\(?\\d{2,4}\\)?[-. ]?)?\\d{3}[-. ]?\\d{4}"},A=function(a,c){var d=a.nodeName;return d in w?c in w[d]:c in(w[d]=p.createElement(d))},J={type:1,value:1,maxlength:1},B={form:p.getElementsByTagName("form"),input:p.getElementsByTagName("input"),
select:p.getElementsByTagName("select"),textarea:p.getElementsByTagName("textarea")},H=function(a){return a&&0<a.offsetWidth&&0<a.offsetHeight&&"none"!=a.style.display&&"hidden"!=a.style.visibility},C=function(a){if(H(a))try{setTimeout(function(){a.focus()},0)}catch(c){}},K=function(a){a[c].value="";a[c].focus();return x(a)},x=function(a){a.preventDefault?a.preventDefault():a.returnValue=!1;return!1},L=f?function(a){a.type="text";a.value=a.getAttribute("placeholder");a.extype="password";h(a,"placeholder")}:
function(a){if(!l[a.uniqueID]){var c=a.uniqueID,d=p.createElement("input"),f,m,k=a.attributes,n=k.length,b;for(f=0;n>f;++f)m=k[f].name.toLowerCase(),(b=a.attributes[m])&&b.specified&&!J[m]&&("class"==m&&d.setAttribute("className",b.value),d.setAttribute(k[f].name,b.value));l[c]=d;l[a.uniqueID][u](e+r,y,0);l[a.uniqueID][u](e+v,I,0)}l[a.uniqueID].value=a.getAttribute("placeholder");h(l[a.uniqueID],"placeholder");a.replaceNode(l[a.uniqueID]);l[a.uniqueID].extype=a},D=function(a){"change"==a.type?(""!==
a[c].value||0<a[c].selectedIndex&&""!==a[c].options[a[c].selectedIndex].text?n:h)(a[c],"placeholder"):(a.type==r?h:n)(a[c],"focused")},I=function(a){""===a[c].value&&(f?(h(a[c],"placeholder"),""===a[c].value&&(a[c].type="text",a[c].value=a[c].getAttribute("placeholder"))):(a[c].replaceNode(l[a[c].uniqueID]),n(l[a[c].uniqueID],"focused")));n(a[c],"focused")},y=function(a){f?(a[c].value==a[c].getAttribute("placeholder")&&(a[c].value="",a[c].type=a[c].extype,document.activeElement!==a[c]&&a[c].focus()),
n(a[c],"placeholder"),h(a[c],"focused")):a[c].extype?(h(a[c].extype,"focused"),a[c].extype[E](e+r,y,0),a[c].replaceNode(a[c].extype),C(a[c].extype),a[c].extype[u](e+r,y,0)):h(a[c],"focused")},M=function(a){""===a[c].value&&(h(a[c],"placeholder"),A(a[c],"placeholder")||(a[c].value=a[c].getAttribute("placeholder")));n(a[c],"focused")},N=function(a){a[c].value!=a[c].getAttribute("placeholder")||A(a[c],"placeholder")||(a[c].value="");""===a[c].value&&n(a[c],"placeholder");h(a[c],"focused")},O=function(a){a[c].value!=
a[c].getAttribute("placeholder")&&a[c].value.length>a[c].getAttribute("maxlength")&&(a[c].value=a[c].value.substring(0,a[c].getAttribute("maxlength")))},P=function(a){if("propertyName"in a&&"value"!=a.propertyName)return!0;var e;if(e=a[c].getAttribute("pattern"))try{RegExp(e).test(a[c].value)?n(a[c],"mismatch"):h(a[c],"mismatch")}catch(d){}return x(a)},Q=function(a){var e=String.fromCharCode(a.keyCode?a.keyCode:a.which);return e.match(a[c].getAttribute("data-regexp"))||e in{"\b":1,"\t":1,"\r":1,"\u001b":1}||
0===a.charCode||a.altKey||a.ctrlKey||a.metaKey?!0:x(a)},s=function(a,c){var d=a.attributes[c];return d&&null!==d.value},h=function(a,c){RegExp("(^|\\s)"+c+"(\\s|$)").test(a.className)||(a.className=a.className.length?a.className+" "+c:c);return a},n=function(a,c){RegExp("(^|\\s)"+c+"(\\s|$)").test(a.className)&&(a.className=a.className.replace(RegExp("(?:^|\\s)"+c+"(\\s|$)"),"$1"));return a};(function z(d){var f,m,k,l,b,g,q,p;if(d&&"submit"==d.type){g=!1;for(m=0;d[c].elements.length>m;++m)if(b=d[c].elements[m],
n(b,"focused"),b.name&&"hidden"!=b.type&&!b.disabled&&!b.readOnly){if(""!==b.value&&b.getAttribute("placeholder")!==b.value&&(q=b.attributes.pattern)&&(p=q.value)){try{if(RegExp(p).test(b.value)&&b.getAttribute("placeholder")!=b.value)continue}catch(w){}g=!0;break}if(!(!b.attributes.required||""!==b.value&&b.getAttribute("placeholder")!=b.value||"selectedIndex"in b&&-1<(k=b.selectedIndex)&&(""!==b.value||0<k&&""!==b.options[k].text))){g=!0;break}}if(g){h(b,"focused");C(b);x(d);return}}g=!0===d?u:
E;for(f in B)for(m=0;B[f].length>m;++m){b=B[f][m];k=b.nodeName.toLowerCase();"form"!=k||!0!==d&&"submit"==d.type||(b[g](e+"reset",K,!1),b[g](e+"submit",z,!1));if("input"==k){if(!b.getAttribute("data-regexp"))switch(b.getAttribute("type")){case "color":b.setAttribute("data-regexp","[-w#]");break;case "number":b.setAttribute("data-regexp","[-+.0-9e]");break;case "week":b.setAttribute("data-regexp","[-.\\/ 0-9W]");break;case "date":case "time":case "month":case "datetime":case "datetime-local":b.setAttribute("data-regexp",
"[-.\\/ 0-9]")}!b.getAttribute("pattern")&&(type=b.getAttribute("type"))&&G[type]&&(h(b,type),b.setAttribute("pattern","^(?:"+G[type]+")$"))}if("input"==k||"textarea"==k){s(b,"required")&&!0===d&&h(b,"required");if(s(b,"placeholder")){if(!0===d||"submit"!=d.type)q=!1,A(b,"placeholder")||("password"==b.type?(b[g](e+v,I,!1),b[g](e+r,y,!1),L(b),q=!0):(""===b.value&&(b.value=b.getAttribute("placeholder")),q=!1)),!1===q&&(b[g](e+v,M,!1),b[g](e+r,N,!1),b.value==b.getAttribute("placeholder")&&h(b,"placeholder"));
!0===d?b.setAttribute("autocomplete","off"):(b.setAttribute("autocomplete","on"),b.value==b.getAttribute("placeholder")&&(b.value=""))}if(s(b,"autofocus")||b.attributes.autofocus)l=b;if(s(b,"maxlength"))b[g](e+F,O,!1);if(s(b,"pattern"))b[g](e+F,P,!1);if(s(b,"data-regexp"))b[g](e+"keypress",Q,!1)}if("select"==k&&(b[g](e+v,D,!1),b[g](e+r,D,!1),b[g](e+"change",D,!1),!0===d)){for(k=0;b.options[k];)(q=b.options[k].attributes.value)&&""===q.value&&h(b.options[k],"placeholder"),k++;""===b.value&&h(b,"placeholder");
s(b,"required")&&h(b,"required")}}!0===d&&H(l)&&(l.blur(),C(l));if(t[g])t[g](e+"beforeunload",z,!1);else t.document[g](e+"beforeunload",z,!1)})(!0)};
